<?php
/**
 * Back to top
 *
 * @package Saddle
 */

$menus['footer']['child']['footer-back-to-top'] = [
	'title' => esc_html__( 'Back to Top', 'capture' ),
	'desc'  => esc_html__( 'From here, you can control the back to top button.', 'capture' ),
];

// Dependency check that back to top option is enable.
$top_button_dependency = [
	'relation' => 'and',
	[
		'field'      => 'show_top_button',
		'value'      => '1',
		'comparison' => '==',
	],
];

$sections['footer-back-to-top'] = [

	[
		'id'       => 'show_top_button',
		'type'     => 'switch',
		'title'    => esc_html__( 'Show Top Button', 'capture' ),
		'sub_desc' => esc_html__( 'Enable or disable back to top button with this option.', 'capture' ),
		'std'      => '1',
	],

	[
		'id'       => 'top_button_icon',
		'type'     => 'icon_select',
		'title'    => esc_html__( 'Top Button Icon', 'capture' ),
		'sub_desc' => esc_html__( 'Set icon for top button icon with this option.', 'capture' ),
		'std'      => 'angle-up',
	],

	[
		'id'         => 'top_button_color',
		'type'       => 'color',
		'title'      => esc_html__( 'Top Button Icon Color', 'capture' ),
		'sub_desc'   => esc_html__( 'The theme comes with unlimited color schemes for your theme\'s styling.', 'capture' ),
		'args'       => [ 'opacity' => true ],
		'std'        => '#ffffff',
		'dependency' => $top_button_dependency,
	],
	[
		'id'         => 'top_button_color_hover',
		'type'       => 'color',
		'title'      => esc_html__( 'Top Button Icon Hover Color', 'capture' ),
		'sub_desc'   => esc_html__( 'The theme comes with unlimited color schemes for your theme\'s styling.', 'capture' ),
		'args'       => [ 'opacity' => true ],
		'std'        => '#ffffff',
		'dependency' => $top_button_dependency,
	],
	[
		'id'         => 'top_button_background',
		'type'       => 'color',
		'title'      => esc_html__( 'Background Settings', 'capture' ),
		'sub_desc'   => esc_html__( 'The theme comes with unlimited color schemes for your theme\'s styling.', 'capture' ),
		'args'       => [ 'opacity' => true ],
		'std'        => '#000000',
		'dependency' => $top_button_dependency,
	],
	[
		'id'         => 'top_button_background_hover',
		'type'       => 'color',
		'title'      => esc_html__( 'Background Hover Settings', 'capture' ),
		'sub_desc'   => esc_html__( 'The theme comes with unlimited color schemes for your theme\'s styling.', 'capture' ),
		'args'       => [ 'opacity' => true ],
		'std'        => '#969696',
		'dependency' => $top_button_dependency,
	],

	[
		'id'         => 'top_button_font_size',
		'type'       => 'text',
		'class'      => 'small-text',
		'title'      => esc_html__( 'Font Size', 'capture' ),
		'sub_desc'   => esc_html__( 'Set font size of top button in px.', 'capture' ),
		'std'        => '24',
		'args'       => [ 'type' => 'number' ],
		'dependency' => $top_button_dependency,
	],
	[
		'id'         => 'top_button_padding',
		'type'       => 'margin',
		'title'      => esc_html__( 'Padding', 'capture' ),
		'sub_desc'   => esc_html__( 'Set Top button padding from here.', 'capture' ),
		'std'        => [
			'top'    => '11px',
			'right'  => '13px',
			'bottom' => '15px',
			'left'   => '13px',
		],
		'dependency' => $top_button_dependency,
	],
	[
		'id'         => 'top_button_position',
		'type'       => 'margin',
		'title'      => esc_html__( 'Top Button Position', 'capture' ),
		'sub_desc'   => esc_html__( 'Set top button position from here.', 'capture' ),
		'std'        => [
			'top'    => 'auto',
			'right'  => capture_px2rem( '30px' ),
			'bottom' => capture_px2rem( '80px' ),
			'left'   => 'auto',
		],
		'dependency' => $top_button_dependency,
	],
	[
		'id'         => 'top_button_border_radius',
		'type'       => 'text',
		'class'      => 'small-text',
		'title'      => esc_html__( 'Border Radius', 'capture' ),
		'sub_desc'   => esc_html__( 'Set border radius of top button in px.', 'capture' ),
		'std'        => '50',
		'args'       => [ 'type' => 'number' ],
		'dependency' => $top_button_dependency,
	],
	[
		'id'         => 'top_button_border',
		'type'       => 'border',
		'title'      => esc_html__( 'Border', 'capture' ),
		'sub_desc'   => esc_html__( 'Select border', 'capture' ),
		'dependency' => $top_button_dependency,
	],

];
