<?php
/**
 * Archive Pages
 *
 * @package Capture
 */

$menus['blog-archive'] = [
	'icon'  => 'fa-archive',
	'title' => esc_html__( 'Archives', 'capture' ),
	'desc'  => esc_html__( 'From here, you can control the elements of the archive pages.', 'capture' ),
];

$archive_readmore = [
	'relation' => 'and',
	[
		'field'      => 'archive_readmore',
		'value'      => '1',
		'comparison' => '==',
	],
];

// Dependency check that excerpt is enable.
$archive_excerpt_dependency = [
	'relation' => 'and',
	[
		'field'      => 'archive_post_excerpt',
		'value'      => '1',
		'comparison' => '==',
	],
];

$sections['blog-archive'] = [

	[
		'id'       => 'mts_archive_headline_meta_info',
		'type'     => 'layout2',
		'title'    => esc_html__( 'Archive Meta Info', 'capture' ),
		'sub_desc' => esc_html__( 'Organize how you want the post meta info to appear on archive pages.', 'capture' ),
		'options'  => [
			'enabled'  => [
				'category' => [
					'label'     => esc_html__( 'Categories', 'capture' ),
					'subfields' => [
						[
							'id'    => 'mts_archive_meta_info_category_icon',
							'type'  => 'icon_select',
							'title' => esc_html__( 'Select Icon', 'capture' ),
						],
					],
				],
				'date'     => [
					'label'     => esc_html__( 'Date', 'capture' ),
					'subfields' => [
						[
							'id'    => 'mts_archive_meta_info_date_icon',
							'type'  => 'icon_select',
							'title' => esc_html__( 'Select Icon', 'capture' ),
						],
					],
				],
			],
			'disabled' => [
				'author'  => [
					'label'     => esc_html__( 'Author Name', 'capture' ),
					'subfields' => [
						[
							'id'    => 'mts_archive_meta_info_author_icon',
							'type'  => 'icon_select',
							'title' => esc_html__( 'Select Icon', 'capture' ),
						],
					],
				],
				'comment' => [
					'label'     => esc_html__( 'Comment Count', 'capture' ),
					'subfields' => [
						[
							'id'    => 'mts_archive_meta_info_comment_icon',
							'type'  => 'icon_select',
							'title' => esc_html__( 'Select Icon', 'capture' ),
						],
					],
				],
			],
		],
		'std'      => [
			'enabled'  => [
				'category' => [
					'label'     => esc_html__( 'Categories', 'capture' ),
					'subfields' => [
						[
							'id'    => 'mts_archive_meta_info_category_icon',
							'type'  => 'icon_select',
							'title' => esc_html__( 'Select Icon', 'capture' ),
						],
					],
				],
				'date'     => [
					'label'     => esc_html__( 'Date', 'capture' ),
					'subfields' => [
						[
							'id'    => 'mts_archive_meta_info_date_icon',
							'type'  => 'icon_select',
							'title' => esc_html__( 'Select Icon', 'capture' ),
						],
					],
				],
			],
			'disabled' => [
				'author'  => [
					'label'     => esc_html__( 'Author Name', 'capture' ),
					'subfields' => [
						[
							'id'    => 'mts_archive_meta_info_author_icon',
							'type'  => 'icon_select',
							'title' => esc_html__( 'Select Icon', 'capture' ),
						],
					],
				],
				'comment' => [
					'label'     => esc_html__( 'Comment Count', 'capture' ),
					'subfields' => [
						[
							'id'    => 'mts_archive_meta_info_comment_icon',
							'type'  => 'icon_select',
							'title' => esc_html__( 'Select Icon', 'capture' ),
						],
					],
				],
			],
		],
	],

	// Read More Button.
	[
		'id'    => 'archive_readmore_heading',
		'type'  => 'heading',
		'title' => esc_html__( 'Read More Button', 'capture' ),
	],
	[
		'id'       => 'archive_readmore',
		'type'     => 'switch',
		'title'    => esc_html__( 'Enable/Disable Read More', 'capture' ),
		'sub_desc' => esc_html__( 'Use this button to show or hide Read More.', 'capture' ),
		'std'      => '1',
	],
	[
		'id'         => 'archive_readmore_text',
		'type'       => 'text',
		'title'      => esc_html__( 'Button Text', 'capture' ),
		'std'        => 'Read Story',
		'dependency' => $archive_readmore,
	],
	[
		'id'         => 'archive_readmore_bg_color',
		'type'       => 'color',
		'title'      => esc_html__( 'Button Background Color', 'capture' ),
		'std'        => '#ffffff',
		'dependency' => $archive_readmore,
	],
	[
		'id'         => 'archive_readmore_border',
		'type'       => 'border',
		'title'      => esc_html__( 'Button Border', 'capture' ),
		'sub_desc'   => esc_html__( 'Select border.', 'capture' ),
		'std'        => [
			'direction' => 'all',
			'size'      => '1',
			'style'     => 'solid',
			'color'     => '#000000',
		],
		'dependency' => $archive_readmore,
	],
	[
		'id'         => 'archive_readmore_bg_hover_color',
		'type'       => 'color',
		'title'      => esc_html__( 'Button Background Hover Color', 'capture' ),
		'std'        => '#ffffff',
		'dependency' => $archive_readmore,
	],
	[
		'id'         => 'archive_readmore_hover_color',
		'type'       => 'color',
		'title'      => esc_html__( 'Button Hover Color', 'capture' ),
		'std'        => '#969696',
		'dependency' => $archive_readmore,
	],
	[
		'id'         => 'archive_readmore_border_hover_color',
		'type'       => 'color',
		'title'      => esc_html__( 'Button Border Hover Color', 'capture' ),
		'std'        => '#969696',
		'dependency' => $archive_readmore,
	],
	[
		'id'       => 'archive_readmore_btn_padding',
		'type'     => 'margin',
		'title'    => esc_html__( 'Button Padding', 'capture' ),
		'sub_desc' => esc_html__( 'Set Archive Posts button padding from here.', 'capture' ),
		'std'      => [
			'top'    => '14px',
			'right'  => '40px',
			'bottom' => '10px',
			'left'   => '40px',
		],
	],
	[
		'id'         => 'archive_readmore_font',
		'type'       => 'typography',
		'title'      => esc_html__( 'Button Font', 'capture' ),
		'std'        => [
			'preview-text'   => 'Read Story Font',
			'preview-color'  => 'light',
			'font-family'    => 'Spartan',
			'font-weight'    => '700',
			'font-size'      => '12px',
			'color'          => '#000000',
			'line-height'    => '1.5',
			'margin-top'     => capture_px2rem( '16px' ),
			'letter-spacing' => capture_letter_spacing( 12, 167 ),
			'additional-css' => 'text-transform: uppercase;',
			'css-selectors'  => '.archive .latestPost .readMore a, .search .latestPost .readMore a',
		],
		'dependency' => $archive_readmore,
	],

	[
		'id'    => 'archive_post_title_heading',
		'type'  => 'heading',
		'title' => esc_html__( 'Archive Post Font', 'capture' ),
	],

	[
		'id'    => 'archive_post_title_font',
		'type'  => 'typography',
		'title' => esc_html__( 'Post Title Font', 'capture' ),
		'std'   => [
			'preview-text'   => 'Post Title Font',
			'preview-color'  => 'light',
			'font-family'    => 'Spartan',
			'font-weight'    => '700',
			'font-size'      => '18px',
			'line-height'    => '1.2',
			'margin-top'     => capture_px2rem( '8px' ),
			'margin-bottom'  => '5px',
			'color'          => '#000000',
			'letter-spacing' => capture_letter_spacing( 18, -16 ),
			'css-selectors'  => '.latestPost .title a, .archive .latestPost .title a, .search .latestPost .title a, .archive [class^="more-page"] .latestPost .title a, .search [class^="more-page"] .latestPost .title a',
		],
	],

	[
		'id'       => 'archive_post_excerpt',
		'type'     => 'switch',
		'title'    => esc_html__( 'Show Post Excerpts', 'capture' ),
		'sub_desc' => esc_html__( 'Use this button to show or hide small post excerpt.', 'capture' ),
		'std'      => '1',
	],

	[
		'id'         => 'archive_excerpt',
		'type'       => 'text',
		'class'      => 'small-text',
		'title'      => esc_html__( 'Excerpt Length', 'capture' ),
		'sub_desc'   => esc_html__( 'Max lenght is 55 Words.', 'capture' ),
		'args'       => [ 'type' => 'number' ],
		'std'        => '28',
		'dependency' => $archive_excerpt_dependency,
	],

	[
		'id'         => 'archive_post_excerpt_font',
		'type'       => 'typography',
		'title'      => esc_html__( 'Post Excerpt Font', 'capture' ),
		'std'        => [
			'preview-text'   => 'Post Excerpt Font',
			'preview-color'  => 'light',
			'font-family'    => 'Lexend Deca',
			'font-weight'    => '400',
			'font-size'      => '12px',
			'line-height'    => capture_line_height( 12, 20 ),
			'color'          => '#848fa1',
			'margin-bottom'  => capture_px2rem( 15 ),
			'letter-spacing' => capture_letter_spacing( 12, 36 ),
			'css-selectors'  => '.archive .latestPost .front-view-content, .search .latestPost .front-view-content, .archive [class^="more-page"] .latestPost .front-view-content, .search [class^="more-page"] .latestPost .front-view-content',
		],
		'dependency' => $archive_excerpt_dependency,
	],

	[
		'id'    => 'archive_meta_info_font',
		'type'  => 'typography',
		'title' => esc_html__( 'Post Meta Info Typography', 'capture' ),
		'std'   => [
			'preview-text'   => 'Post Meta Info Font',
			'preview-color'  => 'light',
			'font-family'    => 'Spartan',
			'font-weight'    => '700',
			'font-size'      => '12px',
			'color'          => '#969696',
			'margin-top'     => capture_px2rem( '16px' ),
			'letter-spacing' => capture_letter_spacing( 12, 167 ),
			'additional-css' => 'text-transform: uppercase;',
			'css-selectors'  => '.archive .latestPost .post-info, .search .latestPost .post-info',
		],
	],
];
