<?php
/**
 * Page Titles and Breadcrumbs
 *
 * @package Capture
 */

$menus['blog-titles'] = [
	'icon'  => 'fa-bars',
	'title' => esc_html__( 'Blog Title', 'capture' ),
	'desc'  => esc_html__( 'From here, you can control the appearance and functionality of your Blog & Pages title.', 'capture' ),
];

$show_blog_title = [
	'field'      => 'show_blog_title',
	'value'      => '1',
	'comparison' => '==',
];

$show_blog_subtitle = [
	'field'      => 'show_blog_subtitle',
	'value'      => '1',
	'comparison' => '==',
];
// Settings.
$sections['blog-titles'] = [

	[
		'id'    => 'blog_titles_heading',
		'type'  => 'heading',
		'title' => esc_html__( 'Blog Page Settings', 'capture' ),
	],
	[
		'id'       => 'show_blog_title',
		'type'     => 'switch',
		'title'    => esc_html__( 'Show Blog Title', 'capture' ),
		'sub_desc' => esc_html__( 'Enable/Disable the Blog Title form here.', 'capture' ),
		'std'      => '1',
	],
	[
		'id'         => 'blog_title',
		'type'       => 'text',
		'title'      => esc_html__( 'Blog Page Title', 'capture' ),
		'sub_desc'   => esc_html__( 'Enter blog page title text it will be shown on top of Blog Posts.', 'capture' ),
		'std'        => 'My Personal Blog',
		'dependency' => [
			'relation' => 'and',
			$show_blog_title,
		],
	],
	[
		'id'       => 'show_blog_subtitle',
		'type'     => 'switch',
		'title'    => esc_html__( 'Show Blog Subtitle', 'capture' ),
		'sub_desc' => esc_html__( 'Enable/Disable the Blog Subtitle form here.', 'capture' ),
		'std'      => '0',
	],
	[
		'id'         => 'blog_subtitle',
		'type'       => 'textarea',
		'title'      => esc_html__( 'Blog Page Subtitle', 'capture' ),
		'sub_desc'   => esc_html__( 'Enter blog page subtitle text from here.', 'capture' ),
		'dependency' => [
			'relation' => 'and',
			$show_blog_subtitle,
		],
	],
	[
		'id'         => 'pages_title_font',
		'type'       => 'typography',
		'title'      => esc_html__( 'Pages Title Font', 'capture' ),
		'std'        => [
			'preview-text'   => 'Pages Title',
			'preview-color'  => 'light',
			'font-family'    => 'Spartan',
			'font-weight'    => '700',
			'font-size'      => capture_px2rem( '32px' ),
			'color'          => '#000000',
			'letter-spacing' => capture_letter_spacing( 32, -16 ),
			'css-selectors'  => '.blog-heading',
		],
		'dependency' => [
			'relation' => 'and',
			$show_blog_title,
		],
	],
	[
		'id'         => 'pages_subtitle_font',
		'type'       => 'typography',
		'title'      => esc_html__( 'Blog subtitle Font', 'capture' ),
		'std'        => [
			'preview-text'   => 'Blog subtitle',
			'preview-color'  => 'light',
			'font-family'    => 'Spartan',
			'font-weight'    => '400',
			'font-size'      => capture_px2rem( '18px' ),
			'color'          => '#000000',
			'letter-spacing' => capture_letter_spacing( 18, -16 ),
			'css-selectors'  => '.blog-subheading',
		],
		'dependency' => [
			'relation' => 'and',
			$show_blog_subtitle,
		],
	],
	[
		'id'    => 'pages_titles_container_heading',
		'type'  => 'heading',
		'title' => esc_html__( 'Blog Page Title Container Settings', 'capture' ),
	],
	[
		'id'       => 'pages_title_background',
		'type'     => 'background',
		'title'    => esc_html__( 'Pages Title Background', 'capture' ),
		'sub_desc' => esc_html__( 'Set background color, pattern and image from here.', 'capture' ),
		'options'  => [
			'color'         => '',            // false to disable, not needed otherwise.
			'image_pattern' => $mts_patterns, // false to disable, array of options otherwise ( required !!! ).
			'image_upload'  => '',            // false to disable, not needed otherwise.
			'repeat'        => [],       // false to disable, array of options to override default ( optional ).
			'attachment'    => [],       // false to disable, array of options to override default ( optional ).
			'position'      => [],       // false to disable, array of options to override default ( optional ).
			'size'          => [],       // false to disable, array of options to override default ( optional ).
			'gradient'      => '',            // false to disable, not needed otherwise.
			'parallax'      => [],       // false to disable, array of options to override default ( optional ).
		],
		'std'        => [
			'color'         => '',
			'use'           => 'pattern',
			'image_pattern' => 'nobg',
			'image_upload'  => '',
			'repeat'        => 'repeat',
			'attachment'    => 'scroll',
			'position'      => 'left top',
			'size'          => 'cover',
			'gradient'      => [
				'from'      => '#ffffff',
				'to'        => '#000000',
				'direction' => '0deg',
			],
			'parallax'      => '0',
		],
	],

	[
		'id'       => 'pages_title_margin',
		'type'     => 'margin',
		'title'    => esc_html__( 'Margin', 'capture' ),
		'sub_desc' => esc_html__( 'Set Titles section margin from here.', 'capture' ),
		'std'      => [
			'top'    => capture_px2rem( '50px' ),
			'right'  => '0',
			'bottom' => capture_px2rem( '56px' ),
			'left'   => '0',
		],
	],
	[
		'id'       => 'pages_title_padding',
		'type'     => 'margin',
		'title'    => esc_html__( 'Padding', 'capture' ),
		'sub_desc' => esc_html__( 'Set Titles section padding from here.', 'capture' ),
		'std'      => [
			'top'    => '0',
			'right'  => '0',
			'bottom' => '0',
			'left'   => '0',
		],
	],
];
