<?php
/**
 * Footer Social & Nav Section
 *
 * @package Capture
 */

$menus['footer']['child']['footer-social-nav'] = [
	'title' => esc_html__( 'Social & Nav', 'capture' ),
	'desc'  => esc_html__( 'From here, you can control Footer Social & Nav section', 'capture' ),
];

$mts_footer_social_share = [
	'field'      => 'mts_footer_social_share',
	'value'      => '1',
	'comparison' => '==',
];

$footer_nav = [
	'field'      => 'footer_nav_section',
	'value'      => '1',
	'comparison' => '==',
];

$footer_nav_separator = [
	'field'      => 'footer_nav_separator',
	'value'      => '1',
	'comparison' => '==',
];

$sections['footer-social-nav'] = [
	[
		'id'    => 'footer_social_heading',
		'type'  => 'heading',
		'title' => esc_html__( 'Footer Social Icons', 'capture' ),
	],
	[
		'id'       => 'mts_footer_social_share',
		'type'     => 'switch',
		'title'    => esc_html__( 'Show Footer Social Icons', 'capture' ),
		'sub_desc' => wp_kses( __( 'Use this button to Show or Hide the <strong>Footer social icons</strong> completely.', 'capture' ), [ 'strong' => '' ] ),
		'std'      => '1',
	],
	[
		'id'         => 'mts_footer_social',
		'title'      => esc_html__( 'Footer Social Icons', 'capture' ),
		'sub_desc'   => esc_html__( 'Add Social Media icons in header.', 'capture' ),
		'type'       => 'group',
		'groupname'  => esc_html__( 'Footer Icons', 'capture' ), // Group name.
		'subfields'  => [
			[
				'id'    => 'mts_footer_icon_title',
				'type'  => 'text',
				'title' => esc_html__( 'Title', 'capture' ),
			],
			[
				'id'    => 'mts_footer_icon',
				'type'  => 'icon_select',
				'title' => esc_html__( 'Icon', 'capture' ),
			],
			[
				'id'    => 'mts_footer_icon_link',
				'type'  => 'text',
				'title' => esc_html__( 'URL', 'capture' ),
			],
			[
				'id'    => 'mts_footer_icon_bgcolor',
				'type'  => 'color',
				'title' => esc_html__( 'Footer icon background color', 'capture' ),
			],
			[
				'id'    => 'mts_footer_icon_hover_bgcolor',
				'type'  => 'color',
				'title' => esc_html__( 'Footer icon background hover color', 'capture' ),
			],
			[
				'id'    => 'mts_footer_icon_color',
				'type'  => 'color',
				'title' => esc_html__( 'Footer icon color', 'capture' ),
			],
			[
				'id'    => 'mts_footer_icon_hover_color',
				'type'  => 'color',
				'title' => esc_html__( 'Footer icon hover color', 'capture' ),
			],
			[
				'id'    => 'mts_footer_icon_margin',
				'type'  => 'margin',
				'title' => esc_html__( 'Footer icon Margin', 'capture' ),
			],
			[
				'id'    => 'mts_footer_icon_padding',
				'type'  => 'margin',
				'title' => esc_html__( 'Footer icon Padding', 'capture' ),
			],
			[
				'id'    => 'mts_footer_icon_border_radius',
				'type'  => 'text',
				'class' => 'small-text',
				'title' => esc_html__( 'Footer icon border radius', 'capture' ),
				'args'  => [ 'type' => 'number' ],
			],
		],
		'std'        => [
			'facebook'  => [
				'group_title'                   => 'Facebook',
				'group_sort'                    => '1',
				'mts_footer_icon_title'         => 'Facebook',
				'mts_footer_icon'               => 'facebook-official',
				'mts_footer_icon_link'          => '#',
				'mts_footer_icon_bgcolor'       => '',
				'mts_footer_icon_hover_bgcolor' => '',
				'mts_footer_icon_color'         => '#000000',
				'mts_footer_icon_hover_color'   => '#969696',
				'mts_footer_icon_margin'        => [
					'top'    => '0',
					'right'  => '13px',
					'bottom' => '12px',
					'left'   => '13px',
				],
				'mts_footer_icon_padding'       => [
					'top'    => '0',
					'right'  => '0',
					'bottom' => '0',
					'left'   => '0',
				],
				'mts_footer_icon_border_radius' => '0',
			],
			'instagram' => [
				'group_title'                   => 'Instagram',
				'group_sort'                    => '2',
				'mts_footer_icon_title'         => 'Instagram',
				'mts_footer_icon'               => 'instagram',
				'mts_footer_icon_link'          => '#',
				'mts_footer_icon_bgcolor'       => '',
				'mts_footer_icon_hover_bgcolor' => '',
				'mts_footer_icon_color'         => '#000000',
				'mts_footer_icon_hover_color'   => '#969696',
				'mts_footer_icon_margin'        => [
					'top'    => '0',
					'right'  => '13px',
					'bottom' => '12px',
					'left'   => '13px',
				],
				'mts_footer_icon_padding'       => [
					'top'    => '0',
					'right'  => '0',
					'bottom' => '0',
					'left'   => '0',
				],
				'mts_footer_icon_border_radius' => '0',
			],
			'twitter'   => [
				'group_title'                   => 'Twitter',
				'group_sort'                    => '3',
				'mts_footer_icon_title'         => 'Twitter',
				'mts_footer_icon'               => 'twitter',
				'mts_footer_icon_link'          => '#',
				'mts_footer_icon_bgcolor'       => '',
				'mts_footer_icon_hover_bgcolor' => '',
				'mts_footer_icon_color'         => '#000000',
				'mts_footer_icon_hover_color'   => '#969696',
				'mts_footer_icon_margin'        => [
					'top'    => '0',
					'right'  => '13px',
					'bottom' => '12px',
					'left'   => '13px',
				],
				'mts_footer_icon_padding'       => [
					'top'    => '0',
					'right'  => '0',
					'bottom' => '0',
					'left'   => '0',
				],
				'mts_footer_icon_border_radius' => '0',
			],
			'pinterest' => [
				'group_title'                   => 'Pinterest',
				'group_sort'                    => '4',
				'mts_footer_icon_title'         => 'Pinterest',
				'mts_footer_icon'               => 'pinterest',
				'mts_footer_icon_link'          => '#',
				'mts_footer_icon_bgcolor'       => '',
				'mts_footer_icon_hover_bgcolor' => '',
				'mts_footer_icon_color'         => '#000000',
				'mts_footer_icon_hover_color'   => '#969696',
				'mts_footer_icon_margin'        => [
					'top'    => '0',
					'right'  => '13px',
					'bottom' => '12px',
					'left'   => '13px',
				],
				'mts_footer_icon_padding'       => [
					'top'    => '0',
					'right'  => '0',
					'bottom' => '0',
					'left'   => '0',
				],
				'mts_footer_icon_border_radius' => '0',
			],
		],
		'dependency' => [
			'relation' => 'and',
			$mts_footer_social_share,
		],
	],
	[
		'id'    => 'footer_nav_heading',
		'type'  => 'heading',
		'title' => esc_html__( 'Footer Navigation', 'capture' ),
	],
	[
		'id'       => 'footer_nav_section',
		'type'     => 'switch',
		'title'    => esc_html__( 'Navigation Section', 'capture' ),
		'sub_desc' => esc_html__( 'Enable or disable Navigation Section with this option.', 'capture' ),
		'std'      => '0',
	],
	[
		'id'         => 'footer_nav_font',
		'type'       => 'typography',
		'title'      => esc_html__( 'Footer Navigation', 'capture' ),
		'std'        => [
			'preview-text'   => 'Footer Navigation Font',
			'preview-color'  => 'light',
			'font-family'    => 'Spartan',
			'font-weight'    => '600',
			'font-size'      => '12px',
			'color'          => '#969696',
			'letter-spacing' => capture_letter_spacing( 12, 167 ),
			'additional-css' => 'text-transform: uppercase;',
			'css-selectors'  => 'nav.footer-nav li a',
		],
		'dependency' => [
			'relation' => 'and',
			$footer_nav,
		],
	],
	[
		'id'         => 'footer_menu_item_margin',
		'type'       => 'margin',
		'title'      => esc_html__( 'Menu Items Margin', 'capture' ),
		'sub_desc'   => esc_html__( 'Navigation Section menu item margin.', 'capture' ),
		'top'        => false,
		'bottom'     => false,
		'std'        => [
			'right' => '20px',
			'left'  => '0',
		],
		'dependency' => [
			'relation' => 'and',
			$footer_nav,
		],
	],
	[
		'id'         => 'footer_nav_separator',
		'type'       => 'switch',
		'title'      => esc_html__( 'Show Nav Separator', 'capture' ),
		'sub_desc'   => esc_html__( 'Enable or disable nav separator with this option.', 'capture' ),
		'std'        => '0',
		'dependency' => [
			'relation' => 'and',
			$footer_nav,
		],
	],
	[
		'id'         => 'footer_nav_separator_content',
		'type'       => 'text',
		'class'      => 'small-text',
		'title'      => esc_html__( 'Separator', 'capture' ),
		'sub_desc'   => esc_html__( 'Use any separator, ex: "-" "/" "|" "." ">"', 'capture' ),
		'std'        => '|',
		'dependency' => [
			'relation' => 'and',
			$footer_nav_separator,
		],
	],
	[
		'id'         => 'footer_nav_separator_color',
		'type'       => 'color',
		'title'      => esc_html__( 'Separator Color', 'capture' ),
		'sub_desc'   => esc_html__( 'Set nav separator color from here.', 'capture' ),
		'std'        => '#d3d3d4',
		'dependency' => [
			'relation' => 'and',
			$footer_nav_separator,
		],
	],
	[
		'id'         => 'footer_nav_separator_margin',
		'type'       => 'margin',
		'title'      => esc_html__( 'Separator Margin', 'capture' ),
		'sub_desc'   => esc_html__( 'Nav Separator margin.', 'capture' ),
		'top'        => false,
		'bottom'     => false,
		'std'        => [
			'right' => '20px',
			'left'  => '0',
		],
		'dependency' => [
			'relation' => 'and',
			$footer_nav_separator,
		],
	],

	// Post Container.
	[
		'id'         => 'footer_social_nav_heading',
		'type'       => 'heading',
		'title'      => esc_html__( 'Footer Social & Navigation Container', 'capture' ),
		'dependency' => [
			'relation' => 'or',
			$mts_footer_social_share,
			$footer_nav,
		],
	],
	[
		'id'         => 'footer_social_nav_background',
		'type'       => 'background',
		'title'      => esc_html__( 'Background', 'capture' ),
		'sub_desc'   => esc_html__( 'Set Footer Social & Navigation section background color, pattern and image from here.', 'capture' ),
		'options'    => [
			'color'         => '',            // false to disable, not needed otherwise.
			'image_pattern' => $mts_patterns, // false to disable, array of options otherwise ( required !!! ).
			'image_upload'  => '',            // false to disable, not needed otherwise.
			'repeat'        => [],       // false to disable, array of options to override default ( optional ).
			'attachment'    => [],       // false to disable, array of options to override default ( optional ).
			'position'      => [],       // false to disable, array of options to override default ( optional ).
			'size'          => [],       // false to disable, array of options to override default ( optional ).
			'gradient'      => '',            // false to disable, not needed otherwise.
			'parallax'      => [],       // false to disable, array of options to override default ( optional ).
		],
		'std'        => [
			'color'         => '',
			'use'           => 'pattern',
			'image_pattern' => 'nobg',
			'image_upload'  => '',
			'repeat'        => 'repeat',
			'attachment'    => 'scroll',
			'position'      => 'left top',
			'size'          => 'cover',
			'gradient'      => [
				'from'      => '#ffffff',
				'to'        => '#000000',
				'direction' => '0deg',
			],
			'parallax'      => '0',
		],
		'dependency' => [
			'relation' => 'or',
			$mts_footer_social_share,
			$footer_nav,
		],
	],
	[
		'id'         => 'footer_social_nav_margin',
		'type'       => 'margin',
		'title'      => esc_html__( 'Margin', 'capture' ),
		'sub_desc'   => esc_html__( 'Set Footer Social & Navigation margin from here', 'capture' ),
		'left'       => false,
		'right'      => false,
		'std'        => [
			'top'    => '0',
			'bottom' => '0',
		],
		'dependency' => [
			'relation' => 'or',
			$mts_footer_social_share,
			$footer_nav,
		],
	],
	[
		'id'         => 'footer_social_nav_padding',
		'type'       => 'margin',
		'title'      => esc_html__( 'Padding', 'capture' ),
		'sub_desc'   => esc_html__( 'Set Footer Social & Navigation padding from here', 'capture' ),
		'std'        => [
			'left'   => '0',
			'top'    => capture_px2rem( '40px' ),
			'right'  => '0',
			'bottom' => capture_px2rem( '16px' ),
		],
		'dependency' => [
			'relation' => 'or',
			$mts_footer_social_share,
			$footer_nav,
		],
	],
	[
		'id'         => 'footer_social_nav_border',
		'type'       => 'border',
		'title'      => esc_html__( 'Border', 'capture' ),
		'sub_desc'   => esc_html__( 'Select Footer Navigation & Social section border from here', 'capture' ),
		'dependency' => [
			'relation' => 'or',
			$mts_footer_social_share,
			$footer_nav,
		],
	],
];
