<?php
/**
 * Footer Tab
 *
 * @package Capture
 */

$menus['footer']['child']['footer-styling'] = [
	'title' => esc_html__( 'Stylings', 'capture' ),
	'desc'  => esc_html__( 'From here, you can control Footer Stylings.', 'capture' ),
];

$sections['footer-styling'] = [
	[
		'id'    => 'footer_title_styling_heading',
		'type'  => 'heading',
		'title' => esc_html__( 'Title Styling', 'capture' ),
	],
	[
		'id'       => 'footer_title_styling_background',
		'type'     => 'background',
		'title'    => esc_html__( 'Footer Title Styling Background', 'capture' ),
		'sub_desc' => esc_html__( 'Set background color, pattern and image from here.', 'capture' ),
		'options'  => [
			'color'         => '',            // false to disable, not needed otherwise.
			'image_pattern' => $mts_patterns, // false to disable, array of options otherwise ( required !!! ).
			'image_upload'  => '',            // false to disable, not needed otherwise.
			'repeat'        => [],       // false to disable, array of options to override default ( optional ).
			'attachment'    => [],       // false to disable, array of options to override default ( optional ).
			'position'      => [],       // false to disable, array of options to override default ( optional ).
			'size'          => [],       // false to disable, array of options to override default ( optional ).
			'gradient'      => '',            // false to disable, not needed otherwise.
			'parallax'      => [],       // false to disable, array of options to override default ( optional ).
		],
		'std'      => [
			'color'         => '',
			'use'           => 'pattern',
			'image_pattern' => 'nobg',
			'image_upload'  => '',
			'repeat'        => 'repeat',
			'attachment'    => 'scroll',
			'position'      => 'left top',
			'size'          => 'cover',
			'gradient'      => [
				'from'      => '#ffffff',
				'to'        => '#000000',
				'direction' => '0deg',
			],
			'parallax'      => '0',
		],
	],
	[
		'id'       => 'footer_title_styling_margin',
		'type'     => 'margin',
		'title'    => esc_html__( 'Footer Title Margin', 'capture' ),
		'sub_desc' => esc_html__( 'Set sidebar title margin from here.', 'capture' ),
		'left'     => false,
		'right'    => false,
		'std'      => [
			'top'    => '0',
			'bottom' => capture_px2rem( '30px' ),
		],
	],
	[
		'id'       => 'footer_title_styling_padding',
		'type'     => 'margin',
		'title'    => esc_html__( 'Footer Title Padding', 'capture' ),
		'sub_desc' => esc_html__( 'Set sidebar title padding from here.', 'capture' ),
		'std'      => [
			'top'    => '0',
			'right'  => '0',
			'bottom' => capture_px2rem( '20px' ),
			'left'   => '0',
		],
	],
	[
		'id'       => 'footer_widget_title_border',
		'type'     => 'border',
		'title'    => esc_html__( 'Border', 'capture' ),
		'sub_desc' => esc_html__( 'Select border.', 'capture' ),
		'std'      => [
			'direction' => 'bottom',
			'size'      => '1',
			'style'     => 'solid',
			'color'     => '#495c8e',
		],
	],
	[
		'id'    => 'footer_subscribe_widget_heading',
		'type'  => 'heading',
		'title' => esc_html__( 'Footer Subscribe Widget Settings', 'capture' ),
	],
	[
		'id'       => 'footer_subscribe_widget_background',
		'type'     => 'background',
		'title'    => esc_html__( 'Footer Subscribe Background', 'capture' ),
		'sub_desc' => esc_html__( 'Set background color, pattern and image for subscribe box from here.', 'capture' ),
		'options'  => [
			'color'         => '',            // false to disable, not needed otherwise.
			'image_pattern' => $mts_patterns, // false to disable, array of options otherwise ( required !!! ).
			'image_upload'  => '',            // false to disable, not needed otherwise.
			'repeat'        => [],       // false to disable, array of options to override default ( optional ).
			'attachment'    => [],       // false to disable, array of options to override default ( optional ).
			'position'      => [],       // false to disable, array of options to override default ( optional ).
			'size'          => [],       // false to disable, array of options to override default ( optional ).
			'gradient'      => '',            // false to disable, not needed otherwise.
			'parallax'      => [],       // false to disable, array of options to override default ( optional ).
		],
		'std'      => [
			'color'         => '',
			'use'           => 'pattern',
			'image_pattern' => 'nobg',
			'image_upload'  => '',
			'repeat'        => 'no-repeat',
			'attachment'    => 'scroll',
			'position'      => 'center top',
			'size'          => 'cover',
			'gradient'      => [
				'from'      => '#ffffff',
				'to'        => '#000000',
				'direction' => '0deg',
			],
			'parallax'      => '0',
		],
	],
	[
		'id'       => 'footer_subscribe_widget_padding',
		'type'     => 'margin',
		'title'    => esc_html__( 'Padding', 'capture' ),
		'sub_desc' => esc_html__( 'Set Footer Subscribe box padding from here.', 'capture' ),
		'std'      => [
			'top'    => '0',
			'right'  => '0',
			'bottom' => '0',
			'left'   => '0',
		],
	],
	[
		'id'       => 'footer_subscribe_widget_border',
		'type'     => 'border',
		'title'    => esc_html__( 'Border', 'capture' ),
		'sub_desc' => esc_html__( 'Select Footer Subscribe border', 'capture' ),
	],
	[
		'id'    => 'footer_subscribe_widget_title_font',
		'type'  => 'typography',
		'title' => esc_html__( 'Footer Subscribe Title Font', 'capture' ),
		'std'   => [
			'preview-text'   => 'Get Stories Delivered to Your Inbox',
			'preview-color'  => 'light',
			'font-family'    => 'Red Hat Text',
			'font-weight'    => '700',
			'font-size'      => capture_px2rem( '28px' ),
			'line-height'    => capture_line_height( 28, 38 ),
			'color'          => '#000000',
			'margin-bottom'  => capture_px2rem( '16px' ),
			'letter-spacing' => capture_letter_spacing( 28, -16 ),
			'additional-css' => 'text-transform: none;',
			'css-selectors'  => '#site-footer .widget #wp-subscribe .title',
		],
	],
	[
		'id'    => 'sidebar_fields_font',
		'type'  => 'typography',
		'title' => esc_html__( 'Footer Subscribe Input Fields', 'capture' ),
		'std'   => [
			'preview-text'   => 'Enter your email',
			'preview-color'  => 'light',
			'font-family'    => 'Spartan',
			'font-weight'    => '600',
			'font-size'      => '12px',
			'color'          => '#969696',
			'letter-spacing' => capture_letter_spacing( 12, 167 ),
			'css-selectors'  => '#site-footer .widget #wp-subscribe input.email-field, #site-footer .widget #wp-subscribe input.name-field',
		],
	],
	[
		'id'    => 'footer_subscribe_widget_text_font',
		'type'  => 'typography',
		'title' => esc_html__( 'Footer Subscribe Text', 'capture' ),
		'std'   => [
			'preview-text'  => 'Get notified of the best deals on our WordPress themes.',
			'preview-color' => 'light',
			'font-family'   => 'Spartan',
			'font-weight'   => '600',
			'font-size'     => '14px',
			'line-height'   => '1.6',
			'color'         => '#969696',
			'margin-top'    => '0',
			'margin-bottom' => capture_px2rem( '16px' ),
			'css-selectors' => '#site-footer .widget #wp-subscribe p.text',
		],
	],
	[
		'id'    => 'footer_subscribe_widget_small_text_font',
		'type'  => 'typography',
		'title' => esc_html__( 'Footer Subscribe Small Text', 'capture' ),
		'std'   => [
			'preview-text'  => 'Subscribe to Newsletter',
			'preview-color' => 'light',
			'font-family'   => 'Spartan',
			'font-weight'   => '400',
			'font-size'     => '13px',
			'color'         => '#969696',
			'css-selectors' => '#site-footer .widget #wp-subscribe p.footer-text, #site-footer .widget #wp-subscribe .wps-consent-wrapper label, #site-footer .widget #wp-subscribe .error, #site-footer .widget #wp-subscribe .thanks',
		],
	],
	[
		'id'       => 'footer_subscribe_widget_submit_backgroud',
		'type'     => 'color',
		'title'    => esc_html__( 'Background Color', 'capture' ),
		'sub_desc' => esc_html__( 'Submit button background color', 'capture' ),
		'std'      => '#000000',
	],
	[
		'id'    => 'footer_subscribe_widget_submit_font',
		'type'  => 'typography',
		'title' => esc_html__( 'Footer Subscribe Submit Button', 'capture' ),
		'std'   => [
			'preview-text'   => 'Submit',
			'preview-color'  => 'light',
			'font-family'    => 'Spartan',
			'font-weight'    => '600',
			'font-size'      => '12px',
			'color'          => '#ffffff',
			'letter-spacing' => capture_letter_spacing( 12, 167 ),
			'additional-css' => 'text-transform: uppercase;',
			'css-selectors'  => '#site-footer .widget #wp-subscribe input.submit',
		],
	],
];
