<?php
/**
 * Footer Tab
 *
 * @package Capture
 */

$menus['footer'] = [
	'icon'  => 'fa-table',
	'title' => esc_html__( 'Footer', 'capture' ),
	'desc'  => esc_html__( 'From here, you can control the elements of footer section.', 'capture' ),
];

$menus['footer']['child']['footer-general'] = [
	'title' => esc_html__( 'General', 'capture' ),
	'desc'  => esc_html__( 'From here, you can control the elements of footer section.', 'capture' ),
];

$mts_patterns = [
	'nobg' => [ 'img' => $uri . 'bg-patterns/nobg.png' ],
];
for ( $i = 1; $i <= 29; $i++ ) {
	$mts_patterns[ 'hbg' . $i ] = [ 'img' => $uri . 'bg-patterns/hbg' . $i . '.png' ];
}

$mts_top_footer = [
	'field'      => 'mts_top_footer',
	'value'      => '1',
	'comparison' => '==',
];

$sections['footer-general'] = [

	[
		'id'       => 'mts_top_footer',
		'type'     => 'switch',
		'title'    => esc_html__( 'Footer', 'capture' ),
		'sub_desc' => esc_html__( 'Enable or disable footer with this option.', 'capture' ),
		'std'      => '0',
	],
	[
		'id'         => 'mts_top_footer_num',
		'type'       => 'button_set',
		'class'      => 'green',
		'title'      => esc_html__( 'Footer Layout', 'capture' ),
		'sub_desc'   => wp_kses( __( 'Choose the number of widget areas in the <strong>footer</strong>', 'capture' ), [ 'strong' => '' ] ),
		'options'    => [
			'2' => esc_html__( '2 Widgets', 'capture' ),
			'3' => esc_html__( '3 Widgets', 'capture' ),
			'4' => esc_html__( '4 Widgets', 'capture' ),
		],
		'std'        => '4',
		'dependency' => [
			'relation' => 'and',
			$mts_top_footer,
		],
	],
	[
		'id'    => 'mts_footer_container_heading',
		'type'  => 'heading',
		'title' => esc_html__( 'Footer Container', 'capture' ),
	],
	[
		'id'       => 'mts_footer_background',
		'type'     => 'background',
		'title'    => esc_html__( 'Footer Background', 'capture' ),
		'sub_desc' => esc_html__( 'Set footer background color, pattern and image from here.', 'capture' ),
		'options'  => [
			'color'         => '',            // false to disable, not needed otherwise.
			'image_pattern' => $mts_patterns, // false to disable, array of options otherwise ( required !!! ).
			'image_upload'  => '',            // false to disable, not needed otherwise.
			'repeat'        => [],       // false to disable, array of options to override default ( optional ).
			'attachment'    => [],       // false to disable, array of options to override default ( optional ).
			'position'      => [],       // false to disable, array of options to override default ( optional ).
			'size'          => [],       // false to disable, array of options to override default ( optional ).
			'gradient'      => '',            // false to disable, not needed otherwise.
			'parallax'      => [],       // false to disable, array of options to override default ( optional ).
		],
		'std'      => [
			'color'         => '#ffffff',
			'use'           => 'pattern',
			'image_pattern' => 'nobg',
			'image_upload'  => '',
			'repeat'        => 'repeat',
			'attachment'    => 'scroll',
			'position'      => 'left top',
			'size'          => 'cover',
			'gradient'      => [
				'from'      => '#ffffff',
				'to'        => '#000000',
				'direction' => '0deg',
			],
			'parallax'      => '0',
		],
	],
	[
		'id'       => 'mts_top_footer_margin',
		'type'     => 'margin',
		'title'    => esc_html__( 'Margin', 'capture' ),
		'sub_desc' => esc_html__( 'Set Footer Margin from here.', 'capture' ),
		'left'     => false,
		'right'    => false,
		'std'      => [
			'top'    => capture_px2rem( '64px' ),
			'bottom' => '0',
		],
	],
	[
		'id'       => 'mts_top_footer_padding',
		'type'     => 'margin',
		'title'    => esc_html__( 'Padding', 'capture' ),
		'sub_desc' => esc_html__( 'Set Footer Padding from here.', 'capture' ),
		'std'      => [
			'top'    => '0',
			'right'  => '0',
			'bottom' => capture_px2rem( '20px' ),
			'left'   => '0',
		],
	],
	[
		'id'       => 'mts_top_footer_border',
		'type'     => 'border',
		'title'    => esc_html__( 'Border', 'capture' ),
		'sub_desc' => esc_html__( 'Set Footer Border from here.', 'capture' ),
		'std'      => [
			'direction' => 'top',
			'size'      => '1',
			'style'     => 'solid',
			'color'     => '#e1e1e1',
		],
	],
];
