<?php
/**
 * Header Styling
 *
 * @package Capture
 */

$menus['header']['child']['header-Styling'] = [
	'title' => esc_html__( 'Styling', 'capture' ),
	'desc'  => esc_html__( 'From here, you can control the elements of header styling.', 'capture' ),
];

// Dependency for header layout 2.
$header_layout2_dependency = [
	'relation' => 'and',
	[
		'field'      => 'header_styles',
		'value'      => 'header-layout2',
		'comparison' => '==',
	],
];

$sections['header-Styling'] = [

	[
		'id'       => 'main_navigation_dropdown_color',
		'type'     => 'color',
		'title'    => esc_html__( 'Dropdown Text Color', 'capture' ),
		'sub_desc' => esc_html__( 'Select dropdown text color for main navigation from here.', 'capture' ),
		'std'      => '#969696',
	],
	[
		'id'       => 'main_navigation_dropdown_background',
		'type'     => 'color',
		'title'    => esc_html__( 'Dropdown Background Color', 'capture' ),
		'sub_desc' => esc_html__( 'Select dropdown background color for main navigation from here.', 'capture' ),
		'std'      => '#fafafa',
	],
	[
		'id'       => 'main_navigation_dropdown_border_radius',
		'type'     => 'text',
		'class'    => 'small-text',
		'title'    => esc_html__( 'Border Radius', 'capture' ),
		'sub_desc' => esc_html__( 'Dropdown Border Radius.', 'capture' ),
		'std'      => '0',
		'args'     => [ 'type' => 'number' ],
	],
	[
		'id'       => 'main_navigation_hover_color',
		'type'     => 'color',
		'title'    => esc_html__( 'Navigation Text Hover Color', 'capture' ),
		'sub_desc' => esc_html__( 'Select navigation text hover color for main navigation from here.', 'capture' ),
		'std'      => '#000000',
	],
	[
		'id'       => 'main_navigation_dropdown_hover_color',
		'type'     => 'color',
		'title'    => esc_html__( 'Dropdown Text Hover Color', 'capture' ),
		'sub_desc' => esc_html__( 'Select dropdown text hover color for main navigation from here.', 'capture' ),
		'std'      => '#000000',
	],
];
