<?php
/**
 * Sidebars Styling
 *
 * @package Capture
 */

$menus['sidebars-styling'] = [
	'title' => esc_html__( 'Styling', 'capture' ),
	'desc'  => esc_html__( 'From here, you can control the styling of sidebars.', 'capture' ),
];

$sections['sidebars-styling'] = [

	[
		'id'    => 'sidebar_title_styling_heading',
		'type'  => 'heading',
		'title' => esc_html__( 'Title Styling', 'capture' ),
	],
	[
		'id'       => 'sidebar_title_styling_background',
		'type'     => 'background',
		'title'    => esc_html__( 'Sidebar Title Styling Background', 'capture' ),
		'sub_desc' => esc_html__( 'Set background color, pattern and image from here.', 'capture' ),
		'options'  => [
			'color'         => '',            // false to disable, not needed otherwise.
			'image_pattern' => $mts_patterns, // false to disable, array of options otherwise ( required !!! ).
			'image_upload'  => '',            // false to disable, not needed otherwise.
			'repeat'        => [],       // false to disable, array of options to override default ( optional ).
			'attachment'    => [],       // false to disable, array of options to override default ( optional ).
			'position'      => [],       // false to disable, array of options to override default ( optional ).
			'size'          => [],       // false to disable, array of options to override default ( optional ).
			'gradient'      => '',            // false to disable, not needed otherwise.
			'parallax'      => [],       // false to disable, array of options to override default ( optional ).
		],
		'std'      => [
			'color'         => '',
			'use'           => 'pattern',
			'image_pattern' => 'nobg',
			'image_upload'  => '',
			'repeat'        => 'repeat',
			'attachment'    => 'scroll',
			'position'      => 'left top',
			'size'          => 'cover',
			'gradient'      => [
				'from'      => '#ffffff',
				'to'        => '#000000',
				'direction' => '0deg',
			],
			'parallax'      => '0',
		],
	],
	[
		'id'       => 'sidebar_title_styling_margin',
		'type'     => 'margin',
		'title'    => esc_html__( 'Sidebar Title Margin', 'capture' ),
		'sub_desc' => esc_html__( 'Set sidebar title margin from here.', 'capture' ),
		'left'     => false,
		'right'    => false,
		'std'      => [
			'top'    => '0',
			'bottom' => capture_px2rem( '25px' ),
		],
	],
	[
		'id'       => 'sidebar_title_styling_padding',
		'type'     => 'margin',
		'title'    => esc_html__( 'Sidebar Title Padding', 'capture' ),
		'sub_desc' => esc_html__( 'Set sidebar title padding from here.', 'capture' ),
	],
	[
		'id'       => 'widget_title_border',
		'type'     => 'border',
		'title'    => esc_html__( 'Border', 'capture' ),
		'sub_desc' => esc_html__( 'Select border.', 'capture' ),
	],
	[
		'id'    => 'sidebar_styling_heading',
		'type'  => 'heading',
		'title' => esc_html__( 'Sidebar Styling', 'capture' ),
	],
	[
		'id'       => 'sidebar_styling_background',
		'type'     => 'background',
		'title'    => esc_html__( 'Sidebar Styling Background', 'capture' ),
		'sub_desc' => esc_html__( 'Set background color, pattern and image from here.', 'capture' ),
		'options'  => [
			'color'         => '',            // false to disable, not needed otherwise.
			'image_pattern' => $mts_patterns, // false to disable, array of options otherwise ( required !!! ).
			'image_upload'  => '',            // false to disable, not needed otherwise.
			'repeat'        => [],       // false to disable, array of options to override default ( optional ).
			'attachment'    => [],       // false to disable, array of options to override default ( optional ).
			'position'      => [],       // false to disable, array of options to override default ( optional ).
			'size'          => [],       // false to disable, array of options to override default ( optional ).
			'gradient'      => '',            // false to disable, not needed otherwise.
			'parallax'      => [],       // false to disable, array of options to override default ( optional ).
		],
		'std'      => [
			'color'         => '',
			'use'           => 'pattern',
			'image_pattern' => 'nobg',
			'image_upload'  => '',
			'repeat'        => 'repeat',
			'attachment'    => 'scroll',
			'position'      => 'left top',
			'size'          => 'cover',
			'gradient'      => [
				'from'      => '#ffffff',
				'to'        => '#000000',
				'direction' => '0deg',
			],
			'parallax'      => '0',
		],
	],
	[
		'id'       => 'sidebar_styling_margin',
		'type'     => 'margin',
		'title'    => esc_html__( 'Sidebar Margin', 'capture' ),
		'sub_desc' => esc_html__( 'Set sidebar margin from here.', 'capture' ),
		'std'      => [
			'left'   => '0',
			'top'    => '0',
			'right'  => '0',
			'bottom' => capture_px2rem( '50px' ),
		],
	],
	[
		'id'       => 'sidebar_styling_padding',
		'type'     => 'margin',
		'title'    => esc_html__( 'Sidebar Padding', 'capture' ),
		'sub_desc' => esc_html__( 'Set sidebar padding from here.', 'capture' ),
		'std'      => [
			'left'   => '0',
			'top'    => '0',
			'right'  => '0',
			'bottom' => '0',
		],
	],
	[
		'id'       => 'sidebar_styling_border',
		'type'     => 'border',
		'title'    => esc_html__( 'Border', 'capture' ),
		'sub_desc' => esc_html__( 'Select border', 'capture' ),
	],
];
