<?php
/**
 * Subscribe Widget
 *
 * @package Capture
 */

$menus['sidebars-subscribe'] = [
	'icon'  => 'fa-envelope-open-o',
	'title' => esc_html__( 'Subscribe Widget', 'capture' ),
	'desc'  => esc_html__( 'From here, you can control the appearance and functionality of Subscribe box in Sidebar & Footer widgets area.', 'capture' ),
];

$sections['sidebars-subscribe'] = [
	[
		'id'       => 'subscribe_widget_background',
		'type'     => 'background',
		'title'    => esc_html__( 'Background', 'capture' ),
		'sub_desc' => esc_html__( 'Set background color, pattern and image for subscribe box from here.', 'capture' ),
		'options'  => [
			'color'         => '',            // false to disable, not needed otherwise.
			'image_pattern' => $mts_patterns, // false to disable, array of options otherwise ( required !!! ).
			'image_upload'  => '',            // false to disable, not needed otherwise.
			'repeat'        => [],       // false to disable, array of options to override default ( optional ).
			'attachment'    => [],       // false to disable, array of options to override default ( optional ).
			'position'      => [],       // false to disable, array of options to override default ( optional ).
			'size'          => [],       // false to disable, array of options to override default ( optional ).
			'gradient'      => '',            // false to disable, not needed otherwise.
			'parallax'      => [],       // false to disable, array of options to override default ( optional ).
		],
		'std'      => [
			'color'         => '',
			'use'           => 'pattern',
			'image_pattern' => 'nobg',
			'image_upload'  => '',
			'repeat'        => 'no-repeat',
			'attachment'    => 'scroll',
			'position'      => 'center top',
			'size'          => 'cover',
			'gradient'      => [
				'from'      => '#ffffff',
				'to'        => '#000000',
				'direction' => '0deg',
			],
			'parallax'      => '0',
		],
	],
	[
		'id'       => 'subscribe_widget_padding',
		'type'     => 'margin',
		'title'    => esc_html__( 'Padding', 'capture' ),
		'sub_desc' => esc_html__( 'Set Sidebar Subscribe box padding from here.', 'capture' ),
		'std'      => [
			'top'    => '0',
			'right'  => '0',
			'bottom' => '0',
			'left'   => '0',
		],
	],
	[
		'id'       => 'subscribe_widget_border',
		'type'     => 'border',
		'title'    => esc_html__( 'Border', 'capture' ),
		'sub_desc' => esc_html__( 'Select Sidebar Subscribe border', 'capture' ),
	],
	[
		'id'    => 'subscribe_widget_title_font',
		'type'  => 'typography',
		'title' => esc_html__( 'Title Font', 'capture' ),
		'std'   => [
			'preview-text'   => 'Get Stories Delivered to Your Inbox',
			'preview-color'  => 'light',
			'font-family'    => 'Red Hat Text',
			'font-weight'    => '700',
			'font-size'      => capture_px2rem( '28px' ),
			'line-height'    => capture_line_height( 28, 38 ),
			'color'          => '#000000',
			'margin-bottom'  => capture_px2rem( '16px' ),
			'letter-spacing' => capture_letter_spacing( 28, -16 ),
			'additional-css' => 'text-transform: none;',
			'css-selectors'  => '.widget #wp-subscribe .title',
		],
	],
	[
		'id'    => 'sidebar_fields_font',
		'type'  => 'typography',
		'title' => esc_html__( 'Input Fields Font', 'capture' ),
		'std'   => [
			'preview-text'   => 'Enter your email',
			'preview-color'  => 'light',
			'font-family'    => 'Spartan',
			'font-weight'    => '600',
			'font-size'      => '12px',
			'color'          => '#969696',
			'letter-spacing' => capture_letter_spacing( 12, 167 ),
			'css-selectors'  => '.widget #wp-subscribe input.email-field, .widget #wp-subscribe input.name-field',
		],
	],
	[
		'id'    => 'subscribe_widget_text_font',
		'type'  => 'typography',
		'title' => esc_html__( 'Text Font', 'capture' ),
		'std'   => [
			'preview-text'  => 'Get notified of the best deals on our WordPress themes.',
			'preview-color' => 'light',
			'font-family'   => 'Spartan',
			'font-weight'   => '400',
			'font-size'     => '14px',
			'line-height'   => '1.6',
			'color'         => '#969696',
			'margin-top'    => '0',
			'margin-bottom' => capture_px2rem( '16px' ),
			'css-selectors' => '.widget #wp-subscribe p.text',
		],
	],
	[
		'id'    => 'subscribe_widget_small_text_font',
		'type'  => 'typography',
		'title' => esc_html__( 'Small Text Font', 'capture' ),
		'std'   => [
			'preview-text'  => 'Subscribe to Newsletter',
			'preview-color' => 'light',
			'font-family'   => 'Spartan',
			'font-weight'   => '400',
			'font-size'     => '13px',
			'color'         => '#969696',
			'css-selectors' => '.widget #wp-subscribe p.footer-text, .widget #wp-subscribe .wps-consent-wrapper label, .widget #wp-subscribe .error, .widget #wp-subscribe .thanks',
		],
	],
	[
		'id'       => 'subscribe_widget_submit_backgroud',
		'type'     => 'color',
		'title'    => esc_html__( 'Submit Button Background Color', 'capture' ),
		'sub_desc' => esc_html__( 'Select background color for Submit button.', 'capture' ),
		'std'      => '#000000',
	],
	[
		'id'    => 'subscribe_widget_submit_font',
		'type'  => 'typography',
		'title' => esc_html__( 'Submit Button Font', 'capture' ),
		'std'   => [
			'preview-text'   => 'Submit',
			'preview-color'  => 'dark',
			'font-family'    => 'Spartan',
			'font-weight'    => '600',
			'font-size'      => '12px',
			'color'          => '#ffffff',
			'letter-spacing' => capture_letter_spacing( 12, 167 ),
			'additional-css' => 'text-transform: uppercase;',
			'css-selectors'  => '.widget #wp-subscribe input.submit',
		],
	],
];
