<?php
/**
 * Single Comments
 *
 * @package Capture
 */

$menus['single-comments'] = [
	'icon'  => 'fa-comment-o',
	'title' => esc_html__( 'Comments Section', 'capture' ),
	'desc'  => esc_html__( 'From here, you can control the appearance and functionality of Comments box in single posts page.', 'capture' ),
];

$author_dependency = [
	'relation' => 'and',
	[
		'field'      => 'author_comment',
		'value'      => '1',
		'comparison' => '==',
	],
];

$sections['single-comments'] = [

	[
		'id'    => 'comments_heading',
		'type'  => 'heading',
		'title' => esc_html__( 'General Settings', 'capture' ),
	],

	[
		'id'       => 'mts_comment_date',
		'type'     => 'switch',
		'title'    => esc_html__( 'Date in Comments', 'capture' ),
		'sub_desc' => esc_html__( 'Use this button to show the date for comments.', 'capture' ),
		'std'      => '1',
	],
	[
		'id'    => 'comments_author_heading',
		'type'  => 'heading',
		'title' => esc_html__( 'Author Comments Settings', 'capture' ),
	],

	[
		'id'       => 'author_comment',
		'type'     => 'switch',
		'title'    => esc_html__( 'Highlight Author Comment', 'capture' ),
		'sub_desc' => esc_html__( 'Use this button to highlight author comments.', 'capture' ),
		'std'      => '1',
	],
	[
		'id'         => 'author_comment_bg',
		'type'       => 'color',
		'title'      => esc_html__( 'Author Comment Background', 'capture' ),
		'sub_desc'   => esc_html__( 'Use this option to change background color.', 'capture' ),
		'std'        => '#ffffff',
		'dependency' => $author_dependency,
	],
	[
		'id'    => 'comments_typo_heading',
		'type'  => 'heading',
		'title' => esc_html__( 'Comments Typography Settings', 'capture' ),
	],

	[
		'id'    => 'comments_title_font',
		'type'  => 'typography',
		'title' => esc_html__( 'Comments Title Font', 'capture' ),
		'std'   => [
			'preview-text'   => 'Author Name',
			'preview-color'  => 'light',
			'font-family'    => 'Spartan',
			'font-weight'    => '700',
			'font-size'      => capture_px2rem( '20px' ),
			'line-height'    => '1.2',
			'color'          => '#000000',
			'letter-spacing' => capture_letter_spacing( 20, -16 ),
			'additional-css' => 'text-transform: capitalize;',
			'css-selectors'  => '#comments .fn, #comments .fn a',
		],
	],
	[
		'id'    => 'comments_meta_font',
		'type'  => 'typography',
		'title' => esc_html__( 'Comments Meta Info Font', 'capture' ),
		'std'   => [
			'preview-text'   => 'July 20',
			'preview-color'  => 'light',
			'font-family'    => 'Spartan',
			'font-weight'    => '600',
			'font-size'      => '12px',
			'line-height'    => capture_line_height( 12, 16 ),
			'color'          => '#969696',
			'letter-spacing' => capture_letter_spacing( 12, 167 ),
			'additional-css' => 'text-transform: uppercase;',
			'css-selectors'  => '#comments .ago',
		],
	],
	[
		'id'    => 'comments_text_font',
		'type'  => 'typography',
		'title' => esc_html__( 'Comments Text Font', 'capture' ),
		'std'   => [
			'preview-text'  => 'Comments Text',
			'preview-color' => 'light',
			'font-family'   => 'Spartan',
			'font-weight'   => '400',
			'font-size'     => '14px',
			'line-height'   => capture_line_height( 14, 24 ),
			'color'         => '#000000',
			'margin-top'    => capture_px2rem( '10px' ),
			'css-selectors' => '.commentmetadata .commenttext p',
		],
	],
	[
		'id'    => 'reply_font',
		'type'  => 'typography',
		'title' => esc_html__( 'Reply Font', 'capture' ),
		'std'   => [
			'preview-text'   => 'Reply Font',
			'preview-color'  => 'light',
			'font-family'    => 'Spartan',
			'font-weight'    => '600',
			'font-size'      => '12px',
			'color'          => '#000000',
			'line-height'    => capture_line_height( 12, 16 ),
			'letter-spacing' => capture_letter_spacing( 12, 167 ),
			'additional-css' => 'text-transform: uppercase;',
			'css-selectors'  => '.reply, .reply a',
		],
	],
];
