<?php
/**
 * Single Subscribe
 *
 * @package Capture
 */

$menus['single-subscribe'] = [
	'icon'  => 'fa-envelope-open-o',
	'title' => esc_html__( 'Subscribe Box', 'capture' ),
	'desc'  => esc_html__( 'From here, you can control the appearance and functionality of Subscribe box in single posts page.', 'capture' ),
];

$sections['single-subscribe'] = [

	[
		'id'    => 'single_subscribe_heading',
		'type'  => 'heading',
		'title' => esc_html__( 'Subscribe box Settings', 'capture' ),
	],
	[
		'id'       => 'single_subscribe_background',
		'type'     => 'background',
		'title'    => esc_html__( 'Subscribe box Background', 'capture' ),
		'sub_desc' => esc_html__( 'Set background color, pattern and image for subscribe box from here.', 'capture' ),
		'options'  => [
			'color'         => '',            // false to disable, not needed otherwise.
			'image_pattern' => $mts_patterns, // false to disable, array of options otherwise ( required !!! ).
			'image_upload'  => '',            // false to disable, not needed otherwise.
			'repeat'        => [],       // false to disable, array of options to override default ( optional ).
			'attachment'    => [],       // false to disable, array of options to override default ( optional ).
			'position'      => [],       // false to disable, array of options to override default ( optional ).
			'size'          => [],       // false to disable, array of options to override default ( optional ).
			'gradient'      => '',            // false to disable, not needed otherwise.
			'parallax'      => [],       // false to disable, array of options to override default ( optional ).
		],
		'std'      => [
			'color'         => '#fafafa',
			'use'           => 'pattern',
			'image_pattern' => 'nobg',
			'image_upload'  => '',
			'repeat'        => 'no-repeat',
			'attachment'    => 'scroll',
			'position'      => 'center top',
			'size'          => 'cover',
			'gradient'      => [
				'from'      => '#ffffff',
				'to'        => '#000000',
				'direction' => '0deg',
			],
			'parallax'      => '0',
		],
	],
	[
		'id'       => 'single_subscribe_margin',
		'type'     => 'margin',
		'title'    => esc_html__( 'Margin', 'capture' ),
		'sub_desc' => esc_html__( 'Set Subscribe box margin from here.', 'capture' ),
		'std'      => [
			'top'    => '0',
			'right'  => '0',
			'bottom' => capture_px2rem( '40px' ),
			'left'   => '0',
		],
	],
	[
		'id'       => 'single_subscribe_padding',
		'type'     => 'margin',
		'title'    => esc_html__( 'Padding', 'capture' ),
		'sub_desc' => esc_html__( 'Set Subscribe box padding from here.', 'capture' ),
		'std'      => [
			'top'    => capture_px2rem( '36px' ),
			'right'  => capture_px2rem( '36px' ),
			'bottom' => capture_px2rem( '36px' ),
			'left'   => capture_px2rem( '36px' ),
		],
	],
	[
		'id'       => 'single_subscribe_border',
		'type'     => 'border',
		'title'    => esc_html__( 'Border', 'capture' ),
		'sub_desc' => esc_html__( 'Select border', 'capture' ),
	],
	[
		'id'       => 'single_subscribe_border_radius',
		'type'     => 'text',
		'class'    => 'small-text',
		'title'    => esc_html__( 'Border Radius', 'capture' ),
		'sub_desc' => esc_html__( 'Subscribe box border radius.', 'capture' ),
		'std'      => '5',
		'args'     => [ 'type' => 'number' ],
	],

	[
		'id'    => 'single_subscribe_title_heading',
		'type'  => 'heading',
		'title' => esc_html__( 'Subscribe box Title Settings', 'capture' ),
	],
	[
		'id'    => 'single_subscribe_title_font',
		'type'  => 'typography',
		'title' => esc_html__( 'Subscribe Title Font', 'capture' ),
		'std'   => [
			'preview-text'   => 'Get Stories Delivered to Your Inbox',
			'preview-color'  => 'light',
			'font-family'    => 'Red Hat Text',
			'font-weight'    => '700',
			'font-size'      => capture_px2rem( '32px' ),
			'line-height'    => capture_line_height( 32, 42 ),
			'color'          => '#000000',
			'margin-bottom'  => capture_px2rem( '16px' ),
			'letter-spacing' => capture_letter_spacing( 32, -16 ),
			'additional-css' => 'text-transform: none;',
			'css-selectors'  => '.single-subscribe .widget #wp-subscribe .title',
		],
	],
	[
		'id'    => 'single_subscribe_text_heading',
		'type'  => 'heading',
		'title' => esc_html__( 'Subscribe box Text Settings', 'capture' ),
	],
	[
		'id'    => 'single_subscribe_text_font',
		'type'  => 'typography',
		'title' => esc_html__( 'Subscribe Text Font', 'capture' ),
		'std'   => [
			'preview-text'  => 'Get notified of the best deals on our WordPress themes.',
			'preview-color' => 'light',
			'font-family'   => 'Spartan',
			'font-weight'   => '400',
			'font-size'     => '14px',
			'line-height'   => '1.6',
			'color'         => '#969696',
			'margin-top'    => '0',
			'margin-bottom' => capture_px2rem( '16px' ),
			'css-selectors' => '.single-subscribe .widget #wp-subscribe p.text',
		],
	],
	[
		'id'    => 'single_subscribe_input_heading',
		'type'  => 'heading',
		'title' => esc_html__( 'Subscribe box Input Settings', 'capture' ),
	],
	[
		'id'       => 'single_subscribe_input_height',
		'type'     => 'text',
		'class'    => 'small-text',
		'title'    => esc_html__( 'Height', 'capture' ),
		'sub_desc' => esc_html__( 'Subscribe box input fields height.', 'capture' ),
		'std'      => '48',
		'args'     => [ 'type' => 'number' ],
	],
	[
		'id'       => 'single_subscribe_input_border_radius',
		'type'     => 'text',
		'class'    => 'small-text',
		'title'    => esc_html__( 'Border Radius', 'capture' ),
		'sub_desc' => esc_html__( 'Subscribe box input fields border radius.', 'capture' ),
		'std'      => '0',
		'args'     => [ 'type' => 'number' ],
	],
	[
		'id'       => 'single_subscribe_input_border',
		'type'     => 'border',
		'title'    => esc_html__( 'Border', 'capture' ),
		'sub_desc' => esc_html__( 'Select border', 'capture' ),
		'std'      => [
			'direction' => 'bottom',
			'size'      => '1',
			'style'     => 'solid',
			'color'     => '#000000',
		],
	],
	[
		'id'    => 'single_subscribe_input_font',
		'type'  => 'typography',
		'title' => esc_html__( 'Subscribe Input Fields Font', 'capture' ),
		'std'   => [
			'preview-text'   => 'Enter your email',
			'preview-color'  => 'light',
			'font-family'    => 'Spartan',
			'font-weight'    => '600',
			'font-size'      => '12px',
			'color'          => '#969696',
			'letter-spacing' => capture_letter_spacing( 12, 167 ),
			'css-selectors'  => '.single-subscribe .widget #wp-subscribe input.email-field, .single-subscribe .widget #wp-subscribe input.name-field',
		],
	],
	[
		'id'    => 'single_subscribe_submit_heading',
		'type'  => 'heading',
		'title' => esc_html__( 'Subscribe box Submit Settings', 'capture' ),
	],
	[
		'id'       => 'single_subscribe_submit_backgroud',
		'type'     => 'color',
		'title'    => esc_html__( 'Background Color', 'capture' ),
		'sub_desc' => esc_html__( 'Submit button background color', 'capture' ),
		'std'      => '#000000',
	],
	[
		'id'       => 'single_subscribe_submit_height',
		'type'     => 'text',
		'class'    => 'small-text',
		'title'    => esc_html__( 'Height', 'capture' ),
		'sub_desc' => esc_html__( 'Subscribe box input fields height.', 'capture' ),
		'std'      => '56',
		'args'     => [ 'type' => 'number' ],
	],
	[
		'id'       => 'single_subscribe_submit_border_radius',
		'type'     => 'text',
		'class'    => 'small-text',
		'title'    => esc_html__( 'Border Radius', 'capture' ),
		'sub_desc' => esc_html__( 'Subscribe box submit button border radius.', 'capture' ),
		'std'      => '28',
		'args'     => [ 'type' => 'number' ],
	],
	[
		'id'       => 'single_subscribe_submit_border',
		'type'     => 'border',
		'title'    => esc_html__( 'Border', 'capture' ),
		'sub_desc' => esc_html__( 'Select border', 'capture' ),
	],
	[
		'id'       => 'single_subscribe_submit_padding',
		'type'     => 'margin',
		'title'    => esc_html__( 'Padding', 'capture' ),
		'sub_desc' => esc_html__( 'Set subscribe submit button padding from here.', 'capture' ),
		'std'      => [
			'top'    => '0',
			'right'  => '0',
			'bottom' => '0',
			'left'   => '0',
		],
	],
	[
		'id'    => 'single_subscribe_submit_font',
		'type'  => 'typography',
		'title' => esc_html__( 'Subscribe Submit Button Font', 'capture' ),
		'std'   => [
			'preview-text'   => 'Submit',
			'preview-color'  => 'light',
			'font-family'    => 'Spartan',
			'font-weight'    => '600',
			'font-size'      => '13px',
			'color'          => '#ffffff',
			'letter-spacing' => capture_letter_spacing( 13, 167 ),
			'additional-css' => 'text-transform: uppercase;',
			'css-selectors'  => '.single-subscribe .widget #wp-subscribe input.submit',
		],
	],
	[
		'id'    => 'single_subscribe_small_heading',
		'type'  => 'heading',
		'title' => esc_html__( 'Subscribe box small text Settings', 'capture' ),
	],
	[
		'id'    => 'single_subscribe_small_text_font',
		'type'  => 'typography',
		'title' => esc_html__( 'Subscribe Small Text Font', 'capture' ),
		'std'   => [
			'preview-text'  => 'Subscribe Small Text',
			'preview-color' => 'light',
			'font-family'   => 'Spartan',
			'font-weight'   => '400',
			'font-size'     => '13px',
			'color'         => '#969696',
			'css-selectors' => '.single-subscribe .widget .wp-subscribe-wrap p.footer-text, .single-subscribe .widget .wp-subscribe .wps-consent-wrapper label, .single-subscribe .widget .wp-subscribe-wrap .error, .single-subscribe .widget .wp-subscribe-wrap .thanks',
		],
	],
];
