<?php
/**
 * Single Tags
 *
 * @package Capture
 */

$menus['single-tags-social'] = [
	'icon'  => 'fa-tags',
	'title' => esc_html__( 'Tags & Social', 'capture' ),
	'desc'  => esc_html__( 'From here, you can control the appearance and functionality of Tags & Social section.', 'capture' ),
];

// Dependency check that back to top option is enable.
$tags_social_border = [
	'relation' => 'and',
	[
		'field'      => 'tags_social_border',
		'value'      => '1',
		'comparison' => '==',
	],
];

$sections['single-tags-social'] = [
	[
		'id'    => 'tags_social_heading',
		'type'  => 'typography',
		'title' => esc_html__( 'Tags & Social Heading', 'capture' ),
		'std'   => [
			'preview-text'   => 'Tags & Social Heading',
			'preview-color'  => 'light',
			'font-family'    => 'Spartan',
			'font-weight'    => '600',
			'font-size'      => '12px',
			'color'          => '#969696',
			'line-height'    => capture_line_height( 12, 16 ),
			'letter-spacing' => capture_letter_spacing( 12, 167 ),
			'additional-css' => 'text-transform: uppercase;',
			'css-selectors'  => '.tagtext, .share-text',
		],
	],
	[
		'id'    => 'tags_social_font',
		'type'  => 'typography',
		'title' => esc_html__( 'Tags Font', 'capture' ),
		'std'   => [
			'preview-text'   => 'Tags Font',
			'preview-color'  => 'light',
			'font-family'    => 'Spartan',
			'font-weight'    => '700',
			'font-size'      => '12px',
			'color'          => '#000000',
			'line-height'    => capture_line_height( 12, 16 ),
			'letter-spacing' => capture_letter_spacing( 12, 167 ),
			'additional-css' => 'text-transform: uppercase;',
			'css-selectors'  => '.tags a',
		],
	],
	[
		'id'    => 'tags_social_container_heading',
		'type'  => 'heading',
		'title' => esc_html__( 'Tags & Social Container', 'capture' ),
	],
	[
		'id'       => 'tags_social_background',
		'type'     => 'background',
		'title'    => esc_html__( 'Background', 'capture' ),
		'sub_desc' => esc_html__( 'Set background color, pattern and image for Tags & Social from here.', 'capture' ),
		'options'  => [
			'color'         => '',            // false to disable, not needed otherwise.
			'image_pattern' => $mts_patterns, // false to disable, array of options otherwise ( required !!! ).
			'image_upload'  => '',            // false to disable, not needed otherwise.
			'repeat'        => [],       // false to disable, array of options to override default ( optional ).
			'attachment'    => [],       // false to disable, array of options to override default ( optional ).
			'position'      => [],       // false to disable, array of options to override default ( optional ).
			'size'          => [],       // false to disable, array of options to override default ( optional ).
			'gradient'      => '',            // false to disable, not needed otherwise.
			'parallax'      => [],       // false to disable, array of options to override default ( optional ).
		],
		'std'      => [
			'color'         => '',
			'use'           => 'pattern',
			'image_pattern' => 'nobg',
			'image_upload'  => '',
			'repeat'        => 'repeat',
			'attachment'    => 'scroll',
			'position'      => 'left top',
			'size'          => 'cover',
			'gradient'      => [
				'from'      => '#ffffff',
				'to'        => '#000000',
				'direction' => '0deg',
			],
			'parallax'      => '0',
		],
	],
	[
		'id'       => 'tags_social_margin',
		'type'     => 'margin',
		'title'    => esc_html__( 'Margin', 'capture' ),
		'sub_desc' => esc_html__( 'Set Tags & Social margin from here.', 'capture' ),
		'std'      => [
			'top'    => '0',
			'right'  => '0',
			'bottom' => capture_px2rem( '48px' ),
			'left'   => '0',
		],
	],
	[
		'id'       => 'tags_social_padding',
		'type'     => 'margin',
		'title'    => esc_html__( 'Padding', 'capture' ),
		'sub_desc' => esc_html__( 'Set Tags & Social padding from here.', 'capture' ),
		'std'      => [
			'top'    => capture_px2rem( '30px' ),
			'right'  => '',
			'bottom' => capture_px2rem( '30px' ),
			'left'   => '',
		],
	],
	[
		'id'       => 'tags_social_border',
		'type'     => 'switch',
		'title'    => esc_html__( 'Show Border', 'capture' ),
		'sub_desc' => esc_html__( 'Enable or disable border with this option.', 'capture' ),
		'std'      => '1',
	],
	[
		'id'         => 'tags_social_border_color',
		'type'       => 'color',
		'title'      => esc_html__( 'Border Color', 'capture' ),
		'sub_desc'   => esc_html__( 'The theme comes with unlimited color schemes for your theme\'s styling.', 'capture' ),
		'std'        => '#e1e1e1',
		'dependency' => $tags_social_border,
	],
];
