<?php
/**
 * Typography tab
 *
 * @package Capture
 */

$menus['typography-collection'] = [
	'icon'       => 'fa-text-width',
	'title'      => esc_html__( 'Typography', 'capture' ),
	'hide_title' => true,
];

$sections['typography-collection'] = [

	[
		'id'    => 'typography-collections',
		'type'  => 'typography_collections',
		'title' => esc_html__( 'Theme Typography', 'capture' ),
		'desc'  => esc_html__( 'From here, you can control the fonts used on your site. You can choose from 17 standard font sets, or from the Google Fonts Library containing 800+ fonts.', 'capture' ),
	],

	[
		'id'    => 'capture_logo',
		'type'  => 'typography',
		'title' => esc_html__( 'Logo Font', 'capture' ),
		'std'   => [
			'preview-text'   => 'Capture',
			'preview-color'  => 'light',
			'font-family'    => 'Caveat',
			'font-weight'    => '400',
			'font-size'      => '40px',
			'color'          => '#000000',
			'line-height'    => '1.2',
			'letter-spacing' => capture_letter_spacing( 40, -25 ),
			'css-selectors'  => '#logo a, .logo',
		],
	],

	[
		'id'    => 'primary_navigation_font',
		'type'  => 'typography',
		'title' => esc_html__( 'Navigation', 'capture' ),
		'std'   => [
			'preview-text'   => 'Navigation Font',
			'preview-color'  => 'light',
			'font-family'    => 'Spartan',
			'font-weight'    => '600',
			'font-size'      => '12px',
			'color'          => '#969696',
			'line-height'    => '1.2',
			'letter-spacing' => capture_letter_spacing( 12, 167 ),
			'additional-css' => 'text-transform: uppercase;',
			'css-selectors'  => '#primary-navigation a, .header-search-icon',
		],
	],

	[
		'id'    => 'content_font',
		'type'  => 'typography',
		'title' => esc_html__( 'Content Font', 'capture' ),
		'std'   => [
			'preview-text'  => 'Content Font',
			'preview-color' => 'light',
			'font-family'   => 'Spartan',
			'font-weight'   => '400',
			'font-size'     => capture_px2rem( '16px' ),
			'line-height'   => capture_line_height( 16, 26 ),
			'color'         => '#000000',
			'css-selectors' => 'body',
		],
	],
	[
		'id'    => 'sidebar_title_font',
		'type'  => 'typography',
		'title' => esc_html__( 'Sidebar Widget Title', 'capture' ),
		'std'   => [
			'preview-text'   => 'Sidebar Title Font',
			'preview-color'  => 'light',
			'font-family'    => 'Spartan',
			'font-weight'    => '700',
			'font-size'      => capture_px2rem( '20px' ),
			'line-height'    => '1.2',
			'color'          => '#000000',
			'letter-spacing' => capture_letter_spacing( 20, -16 ),
			'css-selectors'  => '#sidebar .widget h3.widget-title',
		],
	],
	[
		'id'    => 'sidebar_font',
		'type'  => 'typography',
		'title' => esc_html__( 'Sidebar Font', 'capture' ),
		'std'   => [
			'preview-text'   => 'Sidebar Font',
			'preview-color'  => 'light',
			'font-family'    => 'Spartan',
			'font-weight'    => '600',
			'font-size'      => '12px',
			'line-height'    => capture_line_height( 12, 20 ),
			'color'          => '#969696',
			'letter-spacing' => capture_letter_spacing( 12, 36 ),
			'css-selectors'  => '#sidebar .widget, #sidebar .widget .post-excerpt',
		],
	],
	[
		'id'    => 'sidebar_links_widgets',
		'type'  => 'typography',
		'title' => esc_html__( 'Sidebar Links Widgets', 'capture' ),
		'std'   => [
			'preview-text'   => 'Sidebar Links Widgets',
			'preview-color'  => 'light',
			'font-family'    => 'Spartan',
			'font-weight'    => '700',
			'font-size'      => '12px',
			'line-height'    => capture_line_height( 12, 16 ),
			'color'          => '#000000',
			'letter-spacing' => capture_letter_spacing( 12, 167 ),
			'additional-css' => 'text-transform: uppercase;',
			'css-selectors'  => '#sidebar .widget.widget_archive a, #sidebar .widget.widget_categories a, #sidebar .widget.widget_pages a, #sidebar .widget.widget_meta a, #sidebar .widget.widget_nav_menu a, #sidebar .tagcloud a, #sidebar .product-categories a, .woocommerce-widget-layered-nav-list a, #sidebar .widget .wpt_widget_content #tags-tab-content ul li a',
		],
	],
	[
		'id'    => 'sidebar_post_title',
		'type'  => 'typography',
		'title' => esc_html__( 'Sidebar Post Title', 'capture' ),
		'std'   => [
			'preview-text'   => 'Sidebar Post Titles',
			'preview-color'  => 'light',
			'font-family'    => 'Spartan',
			'font-weight'    => '700',
			'font-size'      => '15px',
			'line-height'    => capture_line_height( 15, 24 ),
			'color'          => '#000000',
			'letter-spacing' => capture_letter_spacing( 15, -16 ),
			'css-selectors'  => '.sidebar .post-title a, .sidebar .entry-title a, .sidebar .wpt_comment_meta a, .widget .product_list_widget .product-title, .widget .cart_list a',
		],
	],
	[
		'id'    => 'sidebar_large_post_title',
		'type'  => 'typography',
		'title' => esc_html__( 'Sidebar Large Posts Title', 'capture' ),
		'std'   => [
			'preview-text'   => 'Sidebar Large Posts Titles',
			'preview-color'  => 'light',
			'font-family'    => 'Spartan',
			'font-weight'    => '700',
			'font-size'      => capture_px2rem( '20px' ),
			'line-height'    => '1.2',
			'color'          => '#000000',
			'letter-spacing' => capture_letter_spacing( 20, -16 ),
			'css-selectors'  => '.sidebar li.vertical-small .post-title a, .sidebar .widget .wpt_thumb_large + .entry-title a, .sidebar .widget .wpt_thumb_large + .wpt_comment_meta a, .sidebar .widget .review_thumb_large .entry-title a',
		],
	],
	[
		'id'    => 'sidebar_postinfo_font',
		'type'  => 'typography',
		'title' => esc_html__( 'Sidebar Meta font', 'capture' ),
		'std'   => [
			'preview-text'   => 'Sidebar Meta Font',
			'preview-color'  => 'light',
			'font-family'    => 'Spartan',
			'font-weight'    => '700',
			'font-size'      => '12px',
			'line-height'    => '1.6',
			'color'          => '#969696',
			'letter-spacing' => capture_letter_spacing( 12, 167 ),
			'additional-css' => 'text-transform: uppercase;',
			'css-selectors'  => '#sidebar .widget .post-info, .sidebar .widget .wpt_widget_content .wpt-postmeta, .sidebar .wp_review_tab_widget_content .wp-review-tab-postmeta',
		],
	],
	[
		'id'    => 'top_footer_title_font',
		'type'  => 'typography',
		'title' => esc_html__( 'Footer Widget Title', 'capture' ),
		'std'   => [
			'preview-text'   => 'Footer Title Font',
			'preview-color'  => 'light',
			'font-family'    => 'Spartan',
			'font-weight'    => '700',
			'font-size'      => capture_px2rem( '20px' ),
			'line-height'    => '1.2',
			'color'          => '#000000',
			'letter-spacing' => capture_letter_spacing( 20, -16 ),
			'css-selectors'  => '.footer-widgets h3',
		],
	],
	[
		'id'    => 'top_footer_font',
		'type'  => 'typography',
		'title' => esc_html__( 'Footer font', 'capture' ),
		'std'   => [
			'preview-text'   => 'Footer Font',
			'preview-color'  => 'light',
			'font-family'    => 'Spartan',
			'font-weight'    => '600',
			'font-size'      => '12px',
			'line-height'    => capture_line_height( 12, 20 ),
			'color'          => '#969696',
			'letter-spacing' => capture_letter_spacing( 12, 36 ),
			'css-selectors'  => '.footer-widgets, footer .widget .wpt_excerpt, footer .advanced-recent-posts p, footer .popular-posts p, footer .category-posts p',
		],
	],
	[
		'id'    => 'footer_links_widgets',
		'type'  => 'typography',
		'title' => esc_html__( 'Footer Links Widgets', 'capture' ),
		'std'   => [
			'preview-text'   => 'Footer Links Widgets',
			'preview-color'  => 'light',
			'font-family'    => 'Spartan',
			'font-weight'    => '700',
			'font-size'      => '12px',
			'line-height'    => capture_line_height( 12, 16 ),
			'color'          => '#000000',
			'letter-spacing' => capture_letter_spacing( 12, 167 ),
			'additional-css' => 'text-transform: uppercase;',
			'css-selectors'  => '#site-footer .widget.widget_archive a, #site-footer .widget.widget_categories a, #site-footer .widget.widget_pages a, #site-footer .widget.widget_meta a, #site-footer .widget.widget_nav_menu a, #site-footer .tagcloud a, #site-footer .widget .wpt_widget_content #tags-tab-content ul li a',
		],
	],
	[
		'id'    => 'top_footer_post_title',
		'type'  => 'typography',
		'title' => esc_html__( 'Footer Post Title', 'capture' ),
		'std'   => [
			'preview-text'   => 'Footer Posts Title',
			'preview-color'  => 'light',
			'font-family'    => 'Spartan',
			'font-weight'    => '700',
			'font-size'      => '15px',
			'line-height'    => capture_line_height( 15, 24 ),
			'color'          => '#000000',
			'letter-spacing' => capture_letter_spacing( 15, -16 ),
			'css-selectors'  => '#site-footer .post-title a, #site-footer .entry-title a, #site-footer .wpt_comment_meta a',
		],
	],
	[
		'id'    => 'footer_large_post_title',
		'type'  => 'typography',
		'title' => esc_html__( 'Footer Large Posts Title', 'capture' ),
		'std'   => [
			'preview-text'   => 'Footer Large Posts Titles',
			'preview-color'  => 'light',
			'font-family'    => 'Spartan',
			'font-weight'    => '700',
			'font-size'      => capture_px2rem( '20px' ),
			'line-height'    => '1.2',
			'color'          => '#000000',
			'letter-spacing' => capture_letter_spacing( 20, -16 ),
			'css-selectors'  => '#site-footer li.vertical-small .post-title a, #site-footer .widget .wpt_thumb_large + .entry-title a, #site-footer .widget .review_thumb_large .entry-title a, #site-footer .widget .wpt_thumb_large + .wpt_comment_meta a',
		],
	],
	[
		'id'    => 'top_footer_meta_font',
		'type'  => 'typography',
		'title' => esc_html__( 'Footer Meta font', 'capture' ),
		'std'   => [
			'preview-text'   => 'Footer Meta Font',
			'preview-color'  => 'light',
			'font-family'    => 'Spartan',
			'font-weight'    => '700',
			'font-size'      => '12px',
			'line-height'    => '1.6',
			'color'          => '#969696',
			'letter-spacing' => capture_letter_spacing( 12, 167 ),
			'additional-css' => 'text-transform: uppercase;',
			'css-selectors'  => '#site-footer .widget .post-info, footer .widget .wpt_widget_content .wpt-postmeta, footer .wp_review_tab_widget_content .wp-review-tab-postmeta',
		],
	],
	[
		'id'    => 'copyrights_font',
		'type'  => 'typography',
		'title' => esc_html__( 'Copyrights Section', 'capture' ),
		'std'   => [
			'preview-text'   => 'Copyrights Font',
			'preview-color'  => 'light',
			'font-family'    => 'Spartan',
			'font-weight'    => '600',
			'font-size'      => '12px',
			'line-height'    => capture_line_height( 12, 16 ),
			'color'          => '#969696',
			'additional-css' => 'text-align: center;',
			'css-selectors'  => '#copyright-note',
		],
	],
	[
		'id'    => 'fields_font',
		'type'  => 'typography',
		'title' => esc_html__( 'Text Fields Font', 'capture' ),
		'std'   => [
			'preview-text'   => 'Text Fields Font',
			'preview-color'  => 'light',
			'font-family'    => 'Spartan',
			'font-weight'    => '600',
			'font-size'      => '12px',
			'line-height'    => capture_line_height( 12, 16 ),
			'color'          => '#969696',
			'letter-spacing' => capture_letter_spacing( 12, 167 ),
			'css-selectors'  => 'input#author, .contact-form input[type="text"], input#email, input#url, #commentform textarea, .contact-form textarea, .widget #s',
		],
	],
	[
		'id'    => 'buttons_font',
		'type'  => 'typography',
		'title' => esc_html__( 'Buttons Font', 'capture' ),
		'std'   => [
			'preview-text'   => 'Buttons Font',
			'preview-color'  => 'dark',
			'font-family'    => 'Spartan',
			'font-weight'    => '700',
			'font-size'      => '12px',
			'color'          => '#ffffff',
			'letter-spacing' => capture_letter_spacing( 12, 167 ),
			'additional-css' => 'text-transform: uppercase;',
			'css-selectors'  => '.button, .instagram-button a, #commentform input#submit, #mtscontact_submit',
		],
	],
	[
		'id'    => 'blockquote_font',
		'type'  => 'typography',
		'title' => esc_html__( 'Blockquote Font', 'capture' ),
		'std'   => [
			'preview-text'  => 'Blockquote Font',
			'preview-color' => 'light',
			'font-family'   => 'Spartan',
			'font-weight'   => '500',
			'font-size'     => capture_px2rem( '20px' ),
			'color'         => '#000000',
			'line-height'   => '1.5',
			'css-selectors' => 'blockquote',
		],
	],
	[
		'id'    => 'h1_headline',
		'type'  => 'typography',
		'title' => esc_html__( 'H1 Heading in Content', 'capture' ),
		'std'   => [
			'preview-text'   => 'H1 Headline',
			'preview-color'  => 'light',
			'font-family'    => 'Red Hat Text',
			'font-weight'    => '700',
			'font-size'      => capture_px2rem( '32px' ),
			'letter-spacing' => capture_letter_spacing( 32, -16 ),
			'color'          => '#000000',
			'css-selectors'  => 'h1',
		],
	],
	[
		'id'    => 'h2_headline',
		'type'  => 'typography',
		'title' => esc_html__( 'H2 Heading in Content', 'capture' ),
		'std'   => [
			'preview-text'   => 'H2 Headline',
			'preview-color'  => 'light',
			'font-family'    => 'Red Hat Text',
			'font-weight'    => '700',
			'font-size'      => capture_px2rem( '28px' ),
			'letter-spacing' => capture_letter_spacing( 28, -16 ),
			'color'          => '#000000',
			'css-selectors'  => 'h2',
		],
	],
	[
		'id'    => 'h3_headline',
		'type'  => 'typography',
		'title' => esc_html__( 'H3 Heading in Content', 'capture' ),
		'std'   => [
			'preview-text'   => 'H3 Headline',
			'preview-color'  => 'light',
			'font-family'    => 'Red Hat Text',
			'font-weight'    => '700',
			'font-size'      => capture_px2rem( '22px' ),
			'letter-spacing' => capture_letter_spacing( 22, -16 ),
			'color'          => '#000000',
			'css-selectors'  => 'h3',
		],
	],
	[
		'id'    => 'h4_headline',
		'type'  => 'typography',
		'title' => esc_html__( 'H4 Heading in Content', 'capture' ),
		'std'   => [
			'preview-text'   => 'H4 Headline',
			'preview-color'  => 'light',
			'font-family'    => 'Red Hat Text',
			'font-weight'    => '700',
			'font-size'      => capture_px2rem( '20px' ),
			'letter-spacing' => capture_letter_spacing( 20, -16 ),
			'color'          => '#000000',
			'css-selectors'  => 'h4',
		],
	],

	[
		'id'    => 'h5_headline',
		'type'  => 'typography',
		'title' => esc_html__( 'H5 Heading in Content', 'capture' ),
		'std'   => [
			'preview-text'   => 'H5 Headline',
			'preview-color'  => 'light',
			'font-family'    => 'Red Hat Text',
			'font-weight'    => '700',
			'font-size'      => capture_px2rem( '18px' ),
			'letter-spacing' => capture_letter_spacing( 18, -16 ),
			'color'          => '#000000',
			'css-selectors'  => 'h5',
		],
	],

	[
		'id'    => 'h6_headline',
		'type'  => 'typography',
		'title' => esc_html__( 'H6 Heading in Content', 'capture' ),
		'std'   => [
			'preview-text'   => 'H6 Headline',
			'preview-color'  => 'light',
			'font-family'    => 'Red Hat Text',
			'font-weight'    => '700',
			'font-size'      => capture_px2rem( '16px' ),
			'letter-spacing' => capture_letter_spacing( 16, -16 ),
			'color'          => '#000000',
			'css-selectors'  => 'h6',
		],
	],

	[
		'id'       => 'typography-subsets',
		'type'     => 'multi_checkbox',
		'title'    => esc_html__( 'Character sets', 'capture' ),
		'sub_desc' => esc_html__( 'Choose the character sets you wish to include. Please note that not all sets are available for all fonts.', 'capture' ),
		'options'  => [
			'latin'        => esc_html__( 'Latin', 'capture' ),
			'latin-ext'    => esc_html__( 'Latin Extended', 'capture' ),
			'cyrillic'     => esc_html__( 'Cyrillic', 'capture' ),
			'cyrillic-ext' => esc_html__( 'Cyrillic Extended', 'capture' ),
			'greek'        => esc_html__( 'Greek', 'capture' ),
			'greek-ext'    => esc_html__( 'Greek Extended', 'capture' ),
			'vietnamese'   => esc_html__( 'Vietnamese', 'capture' ),
			'khmer'        => esc_html__( 'Khmer', 'capture' ),
			'devanagari'   => esc_html__( 'Devanagari', 'capture' ),
		],
		'std'      => [ 'latin' ],
	],
];
