<?php
/*-----------------------------------------------------------------------------------

	Plugin Name: MyThemeShop About Me
	Version: 1.0

-----------------------------------------------------------------------------------*/

class mts_aboutme_widget extends WP_Widget {

	public function __construct() {
		parent::__construct(
			'mts_aboutme_widget',
			sprintf( __( '%sAbout Me', 'capture' ), MTS_THEME_WHITE_LABEL ? '' : 'MTS ' ),
			[ 'description' => __( 'Show Author image, description with Social icons.', 'capture' ) ]
		);
	}

	public function form( $instance ) {
		$defaults            = [
			'banner_image_url'    => '',
			'aboutme_image_url'   => '',
			'aboutme_description' => '',
			'author_name'         => '',
			'banner_br_radius'    => '0',
			'author_br_radius'    => '2px',
			'image_width'         => '300px',
			'facebook'            => '',
			'twitter'             => '',
			'instagram'           => '',
			'pinterest'           => '',
			'youtube'             => '',
			'linkedin'            => '',
			'dribbble'            => '',
		];
		$instance            = wp_parse_args( (array) $instance, $defaults );
		$title               = isset( $instance['title'] ) ? $instance['title'] : __( 'About Us', 'capture' );
		$banner_image_url    = isset( $instance['banner_image_url'] ) ? $instance['banner_image_url'] : '';
		$aboutme_image_url   = isset( $instance['aboutme_image_url'] ) ? $instance['aboutme_image_url'] : '';
		$aboutme_description = isset( $instance['aboutme_description'] ) ? $instance['aboutme_description'] : '';
		$author_name         = isset( $instance['author_name'] ) ? $instance['author_name'] : '';
		$banner_br_radius    = isset( $instance['banner_br_radius'] ) ? $instance['banner_br_radius'] : '';
		$author_br_radius    = isset( $instance['author_br_radius'] ) ? $instance['author_br_radius'] : '';
		$facebook            = isset( $instance['facebook'] ) ? $instance['facebook'] : '';
		$twitter             = isset( $instance['twitter'] ) ? $instance['twitter'] : '';
		$instagram           = isset( $instance['instagram'] ) ? $instance['instagram'] : '';
		$pinterest           = isset( $instance['pinterest'] ) ? $instance['pinterest'] : '';
		$youtube             = isset( $instance['youtube'] ) ? $instance['youtube'] : '';
		$linkedin            = isset( $instance['linkedin'] ) ? $instance['linkedin'] : '';
		$dribbble            = isset( $instance['dribbble'] ) ? $instance['dribbble'] : '';
		?>

		<p>
			<label for="<?php echo $this->get_field_id( 'title' ); ?>"><?php esc_html_e( 'Title:', 'capture' ); ?></label>
			<input class="widefat" id="<?php echo $this->get_field_id( 'title' ); ?>" name="<?php echo $this->get_field_name( 'title' ); ?>" type="text" value="<?php echo esc_attr( $title ); ?>" />
		</p>

		<p>
			<label for="<?php echo $this->get_field_id( 'banner_image_url' ); ?>"><?php esc_html_e( 'Banner Image URL', 'capture' ); ?></label>
			<input class="widefat" id="<?php echo $this->get_field_id( 'banner_image_url' ); ?>" name="<?php echo $this->get_field_name( 'banner_image_url' ); ?>" type="text" value="<?php echo esc_attr( $banner_image_url ); ?>" />
			<small><?php esc_html_e( 'Recommended size: 300x120px', 'capture' ); ?></small>
		</p>

		<p>
			<label for="<?php echo $this->get_field_id( 'author_name' ); ?>"><?php esc_html_e( 'Author Name', 'capture' ); ?></label>
			<input class="widefat" id="<?php echo $this->get_field_id( 'author_name' ); ?>" name="<?php echo $this->get_field_name( 'author_name' ); ?>" type="text" value="<?php echo esc_attr( $author_name ); ?>" />
		</p>

		<p>
			<label for="<?php echo $this->get_field_id( 'aboutme_image_url' ); ?>"><?php esc_html_e( 'Author Image URL', 'capture' ); ?></label>
			<input class="widefat" id="<?php echo $this->get_field_id( 'aboutme_image_url' ); ?>" name="<?php echo $this->get_field_name( 'aboutme_image_url' ); ?>" type="text" value="<?php echo esc_attr( $aboutme_image_url ); ?>" />
			<small><?php esc_html_e( 'Recommended size: 40x40px', 'capture' ); ?></small>
		</p>

		<p style="width:60%">
			<label for="<?php echo $this->get_field_id( 'banner_br_radius' ); ?>"><?php esc_html_e( 'Banner Border Radius', 'capture' ); ?></label>
			<input class="widefat" id="<?php echo $this->get_field_id( 'banner_br_radius' ); ?>" name="<?php echo $this->get_field_name( 'banner_br_radius' ); ?>" type="text" value="<?php echo esc_attr( $banner_br_radius ); ?>" />
			<small><?php esc_html_e( 'Use border radius in %, px', 'capture' ); ?></small>
		</p>

		<p style="width:60%">
			<label for="<?php echo $this->get_field_id( 'author_br_radius' ); ?>"><?php esc_html_e( 'Author Border Radius', 'capture' ); ?></label>
			<input class="widefat" id="<?php echo $this->get_field_id( 'author_br_radius' ); ?>" name="<?php echo $this->get_field_name( 'author_br_radius' ); ?>" type="text" value="<?php echo esc_attr( $author_br_radius ); ?>" />
			<small><?php esc_html_e( 'Use border radius in %, px', 'capture' ); ?></small>
		</p>

		<p>
			<label for="<?php echo $this->get_field_id( 'aboutme_description' ); ?>"><?php esc_html_e( 'Description', 'capture' ); ?></label>
			<textarea class="widefat" rows="8" cols="20" id="<?php echo $this->get_field_id( 'aboutme_description' ); ?>" name="<?php echo $this->get_field_name( 'aboutme_description' ); ?>"><?php echo $aboutme_description; ?></textarea>
		</p>

		<p>
			<label for="<?php echo $this->get_field_id( 'facebook' ); ?>"><?php esc_html_e( 'Facebook URL', 'capture' ); ?></label>
			<input class="widefat" id="<?php echo $this->get_field_id( 'facebook' ); ?>" name="<?php echo $this->get_field_name( 'facebook' ); ?>" type="text" value="<?php echo esc_attr( $facebook ); ?>" />
		</p>

		<p>
			<label for="<?php echo $this->get_field_id( 'twitter' ); ?>"><?php esc_html_e( 'Twitter URL', 'capture' ); ?></label>
			<input class="widefat" id="<?php echo $this->get_field_id( 'twitter' ); ?>" name="<?php echo $this->get_field_name( 'twitter' ); ?>" type="text" value="<?php echo esc_attr( $twitter ); ?>" />
		</p>

		<p>
			<label for="<?php echo $this->get_field_id( 'instagram' ); ?>"><?php esc_html_e( 'Instagram URL', 'capture' ); ?></label>
			<input class="widefat" id="<?php echo $this->get_field_id( 'instagram' ); ?>" name="<?php echo $this->get_field_name( 'instagram' ); ?>" type="text" value="<?php echo esc_attr( $instagram ); ?>" />
		</p>

		<p>
			<label for="<?php echo $this->get_field_id( 'pinterest' ); ?>"><?php esc_html_e( 'Pinterest URL', 'capture' ); ?></label>
			<input class="widefat" id="<?php echo $this->get_field_id( 'pinterest' ); ?>" name="<?php echo $this->get_field_name( 'pinterest' ); ?>" type="text" value="<?php echo esc_attr( $pinterest ); ?>" />
		</p>

		<p>
			<label for="<?php echo $this->get_field_id( 'youtube' ); ?>"><?php esc_html_e( 'YouTube URL', 'capture' ); ?></label>
			<input class="widefat" id="<?php echo $this->get_field_id( 'youtube' ); ?>" name="<?php echo $this->get_field_name( 'youtube' ); ?>" type="text" value="<?php echo esc_attr( $youtube ); ?>" />
		</p>

		<p>
			<label for="<?php echo $this->get_field_id( 'linkedin' ); ?>"><?php esc_html_e( 'Linkedin URL', 'capture' ); ?></label>
			<input class="widefat" id="<?php echo $this->get_field_id( 'linkedin' ); ?>" name="<?php echo $this->get_field_name( 'linkedin' ); ?>" type="text" value="<?php echo esc_attr( $linkedin ); ?>" />
		</p>

		<p>
			<label for="<?php echo $this->get_field_id( 'dribbble' ); ?>"><?php esc_html_e( 'Dribbble URL', 'capture' ); ?></label>
			<input class="widefat" id="<?php echo $this->get_field_id( 'dribbble' ); ?>" name="<?php echo $this->get_field_name( 'dribbble' ); ?>" type="text" value="<?php echo esc_attr( $dribbble ); ?>" />
		</p>

		<?php
	}

	public function update( $new_instance, $old_instance ) {
		$instance                        = [];
		$instance['title']               = strip_tags( $new_instance['title'] );
		$instance['banner_image_url']    = $new_instance['banner_image_url'];
		$instance['aboutme_image_url']   = $new_instance['aboutme_image_url'];
		$instance['aboutme_description'] = $new_instance['aboutme_description'];
		$instance['author_name']         = $new_instance['author_name'];
		$instance['banner_br_radius']    = $new_instance['banner_br_radius'];
		$instance['author_br_radius']    = $new_instance['author_br_radius'];
		$instance['image_width']         = $new_instance['image_width'];
		$instance['facebook']            = $new_instance['facebook'];
		$instance['twitter']             = $new_instance['twitter'];
		$instance['instagram']           = $new_instance['instagram'];
		$instance['pinterest']           = $new_instance['pinterest'];
		$instance['youtube']             = $new_instance['youtube'];
		$instance['linkedin']            = $new_instance['linkedin'];
		$instance['dribbble']            = $new_instance['dribbble'];
		return $instance;
	}

	public function widget( $args, $instance ) {
		extract( $args );
		$title               = apply_filters( 'widget_title', $instance['title'] );
		$banner_image_url    = $instance['banner_image_url'];
		$aboutme_image_url   = $instance['aboutme_image_url'];
		$aboutme_description = $instance['aboutme_description'];
		$author_name         = $instance['author_name'];
		$banner_br_radius    = esc_attr( $instance['banner_br_radius'] );
		$author_br_radius    = esc_attr( $instance['author_br_radius'] );
		$facebook            = $instance['facebook'];
		$twitter             = $instance['twitter'];
		$instagram           = $instance['instagram'];
		$pinterest           = $instance['pinterest'];
		$youtube             = $instance['youtube'];
		$linkedin            = $instance['linkedin'];
		$dribbble            = $instance['dribbble'];

		$before_widget = preg_replace( '/class="([^"]+)"/i', 'class="$1 ' . ( isset( $instance['box_layout'] ) ? $instance['box_layout'] : 'two-grid' ) . '"', $before_widget ); // Add horizontal/vertical class to widget
		echo $before_widget;
		if ( ! empty( $title ) ) {
			echo $before_title . $title . $after_title;
		}
		echo self::aboutme_data( $banner_image_url, $aboutme_image_url, $aboutme_description, $author_name, $banner_br_radius, $author_br_radius, $facebook, $twitter, $instagram, $pinterest, $youtube, $linkedin, $dribbble );
		echo $after_widget;
		?>

		<style>
			<?php echo '#' . $this->id; ?> .banner-image img {
				border-radius: <?php echo esc_attr( $banner_br_radius ); ?>
			}
			<?php echo '#' . $this->id; ?> .aboutme-image img {
				border-radius: <?php echo esc_attr( $author_br_radius ); ?>
			}
			?>
		</style>
		<?php
	}

	public function aboutme_data( $banner_image_url, $aboutme_image_url, $aboutme_description, $author_name, $banner_br_radius, $author_br_radius, $facebook, $twitter, $instagram, $pinterest, $youtube, $linkedin, $dribbble ) {

		echo '<div class="aboutme-widget clearfix">';

		if ( ! empty( $banner_image_url ) ) {
			echo '<div class="banner-image">';
				echo '<img src="' . esc_url( $banner_image_url ) . '" />';
			echo '</div>';
		}

		if ( $aboutme_image_url || $author_name ) :
			?>
			<div class="post-info-bottom">
				<?php
				if ( ! empty( $aboutme_image_url ) ) {
					echo '<div class="aboutme-image">';
						echo '<img src="' . esc_url( $aboutme_image_url ) . '" />';
					echo '</div>';
				}
				echo '<div class="theauthortime">';
				if ( ! empty( $author_name ) ) {
					echo '<div class="author-name">';
						echo esc_attr( $author_name );
					echo '</div>';
				}
				echo '</div>';
				?>
			</div>
			<?php
		endif;

		if ( ! empty( $aboutme_description ) ) {
			echo '<div class="aboutme-description">';
				echo '<p>' . esc_attr( $aboutme_description ) . '</p>';
			echo '</div>';
		}

		if ( ! empty( $facebook ) || ! empty( $twitter ) || ! empty( $instagram ) || ! empty( $pinterest ) || ! empty( $youtube ) || ! empty( $linkedin ) || ! empty( $dribbble ) ) {
			echo '<div class="aboutme-social">';
			if ( ! empty( $facebook ) ) {
				echo '<a href="' . esc_url( $facebook ) . '" target="_blank"><i class="fa fa-facebook-official"></i></a>';
			}
			if ( ! empty( $youtube ) ) {
				echo '<a href="' . esc_url( $youtube ) . '" target="_blank"><i class="fa fa-youtube-play"></i></a>';
			}
			if ( ! empty( $twitter ) ) {
				echo '<a href="' . esc_url( $twitter ) . '" target="_blank"><i class="fa fa-twitter"></i></a>';
			}
			if ( ! empty( $pinterest ) ) {
				echo '<a href="' . esc_url( $pinterest ) . '" target="_blank"><i class="fa fa-pinterest"></i></a>';
			}
			if ( ! empty( $linkedin ) ) {
				echo '<a href="' . esc_url( $linkedin ) . '" target="_blank"><i class="fa fa-linkedin"></i></a>';
			}
			if ( ! empty( $dribbble ) ) {
				echo '<a href="' . esc_url( $dribbble ) . '" target="_blank"><i class="fa fa-dribbble"></i></a>';
			}
			if ( ! empty( $instagram ) ) {
				echo '<a href="' . esc_url( $instagram ) . '" target="_blank"><i class="fa fa-instagram"></i></a>';
			}
			echo '</div>';
		}

		echo '</div>';

	}
}
// Register widget
add_action( 'widgets_init', 'register_mts_aboutme_widget' );
function register_mts_aboutme_widget() {
	register_widget( 'mts_aboutme_widget' );
}
