<?php
/**
 * The template for displaying search results pages.
 *
 * @package capture
 */

get_header();

capture_action( 'before_content' ); ?>

	<div id="wrapper" class="clearfix">

		<div class="container">

			<div class="article">

				<?php
				// Elementor 'archive' location.
				if ( ! capture_is_elementor( 'archive' ) ) {
					?>

					<div id="content_box">
						<?php if ( have_posts() ) : ?>

							<h1 class="page-title">
								<?php
								// translators: search query.
								printf( esc_html__( 'Search Results for: %s', 'capture' ), '<span>' . get_search_query() . '</span>' );
								?>
							</h1>
						<?php else : ?>
							<h1 class="page-title"><?php esc_html_e( 'Nothing Found', 'capture' ); ?></h1>
						<?php endif; ?>

						<section id="latest-posts" class="layout-1 clearfix">
							<div class="layout-1-posts">
								<?php
								if ( 'above' === capture_get_settings( 'search_position' ) ) {
									echo '<div class="search-above clearfix">';
									get_search_form();
									echo '</div>';
								}
								?>
								<?php
								$j = 0;
								if ( have_posts() ) {
									while ( have_posts() ) {
										the_post();
										capture_blog_articles();
									}
								} else {
									get_template_part( 'template-parts/no', 'results' );
								}
								?>
								<?php
								if ( 0 !== ++$j ) {
									capture_pagination( capture_get_settings( 'mts_pagenavigation_type' ) );
								}

								if ( 'below' === capture_get_settings( 'search_position' ) ) {
									echo '<div class="search-below clearfix">';
									get_search_form();
									echo '</div>';
								}
								?>
							</div>
							<?php get_sidebar(); ?>
						</section>
					</div>

					<?php capture_action( 'after_content' ); ?>

					<?php
				}
				?>

			</div>

		</div><!-- end of .container -->

<?php
get_footer();
