<?php
/**
 * The template for displaying archive pages
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/
 *
 * @package Capture
 */

get_header(); ?>

	<?php capture_action( 'before_content' ); ?>

	<div id="wrapper" class="clearfix">

		<div class="<?php capture_article_class(); ?> cpt-photos">

		<?php
		// Elementor 'archive' location.
		if ( ! capture_is_elementor( 'archive' ) ) {
			?>

			<div id="content_box">

				<section class="cpt-photos-posts clearfix">
					<?php
					the_archive_description( '<div class="taxonomy-description">', '</div>' );
					$current_catname = get_queried_object();

					$new_args = [
						'tax_query' => [
							[
								'taxonomy' => 'photos_categories',
								'field'    => 'slug',
								'terms'    => $current_catname->slug,
							],
						],
					];

					$args = Capture_Photos::get_photos_query_args( $new_args );
					// The query.
					$j = 0;

					$the_query = new WP_Query( $args );

					while ( $the_query->have_posts() ) :
						$the_query->the_post();
						?>

						<article <?php post_class( 'latestPost excerpt' ); ?> id="post-<?php the_ID(); ?>">

							<?php capture_action( 'get_photo_thumbnail', get_the_ID() ); ?>

						</article>

						<?php

					endwhile;

					if ( 0 !== ++$j ) {
						capture_action( 'get_photo_pagination' );
					}

					wp_reset_postdata();

					?>
				</section>

			</div>

			<?php
			capture_action( 'after_content' );

		}
		?>

		</div>

<?php
get_footer();
