<?php
/**
 * Posts Layout - Default
 *
 * @package Capture
 */

$featured = capture()->featured_layouts;
?>

<div class="<?php $featured->get_post_container_class(); ?>">

	<div class="container clear">

		<div class="<?php capture_article_class(); ?>">

			<?php
			// Elementor 'archive' location.
			if ( ! capture_is_elementor( 'archive' ) ) {
			?>

			<?php $featured->get_section_title(); ?>

			<div id="content_box">

				<?php capture_action( 'start_content_box' ); ?>

				<section class="layout-<?php echo esc_attr( $featured->current['layout'] ); ?> clearfix">
					<?php
					while ( have_posts() ) :
						the_post();
						?>
						<article class="latestPost excerpt">

							<?php $featured->get_post_thumbnail(); ?>

							<div class="wrapper">

								<?php
								$featured->get_post_meta();

								$featured->get_post_title();

								if ( capture_get_settings( 'post_excerpt_' . $featured->current['unique_id'] ) ) :
									$featured->get_post_content();
								endif;

								$featured->get_readmore_button();

								?>

							</div>

						</article>
						<?php
					endwhile;

					$featured->get_post_pagination();
					?>
				</section><!--#latest-posts-->

			</div>

			<?php
			}
			?>

		</div>

	</div><!--.container-->

</div>
